<?php
defined('BASEPATH') OR exit('No direct script access allowed');
class Dashboard extends MY_Controller{
    public function __construct(){
        parent::__construct();
        $this->load->model('admin/DashboardModel', 'dashboardModel', true);
    }
    public function index(){
        $user_sess_id = $this->session->userdata('user_id');
        if(empty($user_sess_id)){
            redirect(SITE_URL_ADMIN);
        }
        $data = array(
            'userCount'     => $this->dashboardModel->getUserCount(),
            'blogsCount'    => $this->dashboardModel->getBlogsCount(),
            'commentsCount' => $this->dashboardModel->getCommentsCount(),
            'votesCount'    => $this->dashboardModel->getVotesCount()
        );
        $this->load->view('admin/common/header');
        $this->load->view('admin/dashboard', $data);
        $this->load->view('admin/common/footer');
    }
}
?>
