<?php

class Login extends CI_Controller{
    public function __construct(){
        parent::__construct();
        $this->load->model('admin/LoginModel','login',true);
    }
    public function index(){
        $this->load->view('admin/mocLogin');
    }
    public function loginUser(){
        $error = array(
            'type'    => 'error',
            'message' => 'Invalid username or password',
        );
        $memberEmail = $this->input->post('memberEmail');
        $memberPassword = $this->input->post('memberPassword');
        if($memberEmail == '' || $memberPassword == ''){
            echo json_encode($error);
            exit();
        }
        $memberPassword = md5($memberPassword);
        $data = $this->login->validateLogin($memberEmail,$memberPassword);
        if(empty($data)){
            echo json_encode($error);
            exit();
        }
        $this->session->set_userdata('user_id',$data->user_id);
        $this->session->set_userdata('first_name',$data->first_name);
        $this->session->set_userdata('last_name',$data->last_name);
        $this->session->set_userdata('group_id',$data->group_id);
        $error = array(
            'type'    => 'success',
            'message' => 'login successful',
        );
        echo json_encode($error);
        exit();
    }
    public function logout(){
        $array_items = array(
            'user_id'    => '',
            'first_name' => '',
            'last_name'  => '',
            'group_id'   => '',
        );
        $this->session->unset_userdata($array_items);
        redirect(SITE_URL_ADMIN.'login');
    }
}
?>

