<?php
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
class AnswersModel extends CI_model{
    public function __construct(){
        parent::__construct();
    }
    public function addUpdateAnswer($data){
        if($this->checkExistingAnswer($data)){
            return array('type' => 'error', 'message' => 'You have already answered this question.');
        }
        $answer_id = $data['answer_id'];
        if(empty($answer_id)){
            unset($data['updation_date']);
            $this->db->insert(DB_PREFIX.'answers', $data);
            $insAnsId = $this->db->insert_id();
            return array('type' => 'success', 'message' => 'Answer submitted successfully.', 'answer_id' => $insAnsId);
        }else{
            unset($data['creation_date']);
            $this->db->update(DB_PREFIX.'answers', $data, array('answer_id' => $data['answer_id']));
            return array('type' => 'success', 'message' => 'Answer updated successfully.', 'answer_id' => $data['answer_id']);
        }
    }
    public function checkExistingAnswer($data){
        $user_id     = $this->session->userdata('user_id');
        $question_id = $data['question_id'];
        $answer_id   = $data['answer_id'];
        $answer      = $data['answer'];
        $this->db->where("user_id = '" . $user_id . "'");
        $this->db->where("question_id = '" . $question_id . "'");
        if(!empty($answer_id)){
            $this->db->where('answer_id !=', $answer_id);
        }
        $result = $this->db->get(DB_PREFIX.'answers');
//        echo $this->db->last_query();
        if($result->num_rows() > 0){
            return true;
        }
        return false;
    }
}
?>

