<?php
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
class CausesModel extends CI_Model{
    public function __construct(){
        parent::__construct();
    }
    public function getAllCauses(){
        $causesData = array();
        $this->db->select('cause_id, title, description, image, publish');
        $res        = $this->db->get(DB_PREFIX . 'causes');
        if($res->num_rows() > 0){
            foreach($res->result() as $row){
                $causesData[] = $row;
            }
            return $causesData;
        }
        return $causesData;
    }
    public function getCauseById($cause_id = ''){
        $this->db->select('cause_id, title, description, image, publish');
        if(!empty($cause_id)){
            $this->db->where('cause_id', $cause_id);
        }
        $res = $this->db->get(DB_PREFIX . 'causes');
        if($res->num_rows() > 0){
            return $res->first_row();
        }
        return array();
    }
    public function insertUpdateCause($insData){
        if($this->checkExistingCause($insData)){
            return false;
        }
        $causeId = $insData['cause_id'];
        unset($insData['cause_id']);
        if(empty($causeId)){
            unset($insData['updation_date']);
            unset($insData['updated_by']);
            $this->db->insert(DB_PREFIX . 'causes', $insData);
            return $this->db->insert_id();
        }else{
            unset($insData['creation_date']);
            unset($insData['created_by']);
            $this->db->update(DB_PREFIX . 'causes', $insData, array('cause_id' => $causeId));
            return $causeId;
        }
    }
    public function checkExistingCause($data){
        $causeId = $data['cause_id'];
        $title   = $data['title'];
        $this->db->where(" title = '" . $title . "'");
        if(!empty($causeId)){
            $this->db->where('cause_id != "' . $causeId . '"');
        }
        $result = $this->db->get(DB_PREFIX . 'causes');
        if($result->num_rows() > 0){
            return true;
        }
        return false;
    }
    public function deleteCause($cause_id){
        $this->db->where('cause_id', $cause_id);
        $this->db->delete(DB_PREFIX . 'causes');
    }
    public function insertCauseImage($cause_id, $insData){
        $this->db->update(DB_PREFIX . 'causes', $insData, array('cause_id' => $cause_id));
    }
    public function publishCause($cause_id){
        $causeData = $this->getCauseById($cause_id);
        if(!empty($blogData)){
            if($blogData->publish == 'y'){
                $this->db->update(BD_PREFIX . 'causes', array('publish' => 'y'), array('cause_id' => $cause_id));
                return array('type' => 'success', 'message' => 'Cause published successfully.');
            }else{
                $this->db->update(BD_PREFIX . 'causes', array('publish' => 'n'), array('cause_id' => $cause_id));
                return array('type' => 'success', 'message' => 'Cause Un-published successfully.');
            }
        }else{
            return array('type' => 'invalid_id');
        }
    }
}
?>