<?php
if(!defined('BASEPATH'))
    exit('No direct script access allowed');
class PageModel extends CI_Model {
    public function __construct(){
        parent::__construct();
    }    
    public function getPages() {
        $pageData = array();
        $query = "SELECT * FROM charity_pages";
        $result = $this->db->query($query);
        if($result->num_rows() > 0){
            foreach($result->result() as $row){
                $pageData[] = $row;
            }
            return $pageData;
        }
        return $pageData;
    }
    public function getPageDataById($pageId) {
        $pageData = array();
        $query = "SELECT * FROM charity_pages where page_id = '".$pageId."'";
        $result = $this->db->query($query);
        if($result->num_rows() > 0){
            foreach($result->result() as $row){
                $pageData = $row;
            }
            return $pageData;
        }
        return array();
    }
    
    public function insertUpdatePage($insData) {
        if($this->checkExistingPages($insData)){
            return array('type' => 'error','message' => 'Page already exists.');
        }
        $pageId = $insData['page_id'];
        if(empty($pageId)){ 
            unset($insData['updation_date']);
            unset($insData['updated_by']);
            $this->db->insert('charity_pages',$insData);
            return array('type' => 'success','message' => 'Page added successfully.');
        }
        else{ 
            unset($insData['creation_date']);
            unset($insData['created_by']);
            $this->db->update('charity_pages',$insData,array('page_id' => $pageId));
            return array('type' => 'success','message' => 'Page updated successfully.');
        }
    }    
    public function deletePage($page_id){
        $this->db->where('page_id',$page_id);
        $this->db->delete('charity_pages');
    }    
    public function checkExistingPages($data) {
        $pageId = $data['page_id'];
        $title = $data['title'];
        $this->db->where("title = '".$title."'");
        if(!empty($pageId)){
            $this->db->where('page_id !=',$pageId);
        }
        $result = $this->db->get('charity_pages');
        if($result->num_rows() > 0){
            return true;
        }
        return false;
    }
}
?>