<?php
if(!defined('BASEPATH'))
    exit('No direct script access allowed');
class SliderModel extends CI_Model{
    public function __construct(){
        parent::__construct();
    }
    public function getSlider($slider_id){
        $sql   = "SELECT * FROM charity_sliders WHERE slider_id=" . $slider_id;
        $query = $this->db->query($sql);
        if($query->num_rows() > 0){
            return $result = $query->first_row();
        }
        return array();
    }
    public function getAllSliders(){
        $allSliders = array();
        $sql        = "SELECT * FROM charity_sliders";
        $query      = $this->db->query($sql);
        if($query->num_rows() > 0){
            foreach($query->result() as $row){
                $allSliders[] = $row;
            }
            return $allSliders;
        }
        return array();
    }
    public function insertUpdateSlider($insData){
        if($this->checkExistingSlider($insData)){
            return false;
        }
        $sliderId = decrypt($insData['slider_id']);
        unset($insData['slider_id']);
        if(empty($sliderId)){
            unset($insData['updation_date']);
            unset($insData['updated_by']);
            $this->db->insert('charity_sliders', $insData);
            return $this->db->insert_id();
        }else{
            unset($insData['creation_date']);
            unset($insData['created_by']);
            return $this->db->update('charity_sliders', $insData, array('slider_id' => $sliderId));
        }
    }
    public function checkExistingSlider($data){
        $sliderId     = decrypt($data['slider_id']);
        $slider_title = $data['slider_title'];
        $this->db->where(" slider_title = '" . $slider_title . "'");
        if(!empty($sliderId)){
            $this->db->where('slider_id != "' . $sliderId . '"');
        }
        $result = $this->db->get('charity_sliders');
//        echo $this->db->last_query();
        if($result->num_rows() > 0){
            return true;
        }
        return false;
    }
    public function deleteSlider($slider_id){
        $this->db->where('slider_id', $slider_id);
        $this->db->delete('charity_sliders');
    }
    public function insertSliderImage($slider_id, $insData){
        $this->db->update('charity_sliders', $insData, array('slider_id' => $slider_id));
    }
    public function publishSlider($slider_id){
        $sliderData = $this->getSlider($slider_id);
        if(!empty($sliderData)){
            if($sliderData->publish == 'n'){
                $this->db->update(BD_PREFIX . 'slider', array('publish' => 'y'), array('slider_id' => $slider_id));
                return array('type' => 'success', 'message' => 'Slider published successfully.');
            } else {
                $this->db->update(BD_PREFIX . 'slider', array('publish' => 'n'), array('slider_id' => $slider_id));
                return array('type' => 'success', 'message' => 'Slider Un-published successfully.');
            }
        } else {
            return array('type' => 'invalid_id');
        }
    }
}
?>