<?php
class TestimonialModel extends CI_Model{
    public function __construct(){
        parent::__construct();
    }
    public function getAllTestimonials(){
        $testimonials = array();
        $query        = "SELECT testimonial_id, first_name, last_name, email, testimonial, photo, approved from charity_testimonials";
        $result       = $this->db->query($query);
        if($result->num_rows() > 0){
            foreach($result->result() as $row){
                $testimonials[] = $row;
            }
            return $testimonials;
        }
        return $testimonials;
    }
    public function getTestimonialById($testimonial_id){
        $testimonial = array();
        $query       = "SELECT testimonial_id, first_name, last_name, email, testimonial, photo, approved from charity_testimonials WHERE testimonial_id='" . $testimonial_id . "'";
        $result      = $this->db->query($query);
        if($result->num_rows() > 0){
            $testimonial = $result->first_row();
            return $testimonial;
        }
        return $testimonial;
    }
    public function addUpdTestimonial($insData){
        $testimonial_id = $insData['testimonial_id'];
        unset($insData['testimonial_id']);
        if(empty($testimonial_id)){
            unset($insData['updationDate'], $insData['updationDate']);
            $this->db->insert('charity_testimonials', $insData);
            $t_id = $this->db->insert_id();
            return array('type' => 'success', 'message' => 'Testimonial added successfully.', 't_id' => $t_id);
        }else{
            unset($insData['creationDate']);
            $this->db->update('charity_testimonials', $insData, array('testimonial_id' => $testimonial_id));
            return array('type' => 'success', 'message' => 'Testimonial updated successfully.');
        }
    }
    public function insertUserPhoto($testimonial_id, $insData){
        $this->db->update('charity_testimonials', $insData, array('testimonial_id' => $testimonial_id));
    }
    public function deleteTestimoinal($testimonial_id){
        $this->db->where('testimonial_id', $testimonial_id);
        $this->db->delete('charity_testimonials');
    }
    public function approveTestimonial($testimonial_id){
        $testimonialData = $this->getTestimonialById($testimonial_id);
        if(!empty($testimonialData)){
            if($testimonialData->approved == 'y'){
                $this->db->update(DB_PREFIX . 'testimonials', array('approved' => 'n'), array('testimonial_id' => $testimonial_id));
                return array('type' => 'success', 'message' => 'Testimonial Un-approved successfully.');
            }else{
                $this->db->update(DB_PREFIX . 'testimonials', array('approved' => 'y'), array('testimonial_id' => $testimonial_id));
                return array('type' => 'success', 'message' => 'Testimonial Approved successfully.');
            }
        } else {
            return array('type' => 'invalid_id');
        }
    }
}
?>