<?php
if(!defined('BASEPATH'))
    exit('No direct script access allowed');

class UserModel extends CI_Model{
    public function __construct(){
        parent::__construct();
    }
    public function getUsers($userId){
        $sql = "SELECT * FROM charity_users WHERE user_id = '".$userId."' ";
        $result = $this->db->query($sql);
        if($result->num_rows() > 0){
            return $row = $result->first_row();
        }
        return array();
    }
    public function getAllUsers(){
        $allUsers = array();
        $sql = "SELECT cu.user_id, cu.user_name, cu.first_name, cu.last_name, concat_ws(' ',cu.first_name, cu.last_name) as name, cu.email_id, cu.active, cg.group_name "
        ."from charity_users as cu left join charity_groups as cg on cu.group_id=cg.group_id";
        $result = $this->db->query($sql);
        if($result->num_rows() > 0){
            foreach($result->result() as $row){
                $allUsers[] = $row;
            }
        }
        return $allUsers;
    }
    public function insertUpdateUser($insData){
        if($this->checkExistingUsers($insData)){
            return array('type' => 'error','message' => 'username or email id already exists.');
        }
        $insData['password'] = !empty($insData['password']) ? md5($insData['password']) : '';
        $userId = decrypt($insData['userId']);
        unset($insData['userId']);
        if(empty($userId)){
            unset($insData['updation_date'],$insData['updated_by']);
            $this->db->insert('charity_users',$insData);
            return array('type' => 'success','message' => 'User data added successfully.');
        }
        else{
            unset($insData['creation_date'],$insData['created_by']);
            if(empty($insData['password'])){
                unset($insData['password']);
            }
            $this->db->update('charity_users',$insData,array('user_id' => $userId));
            return array('type' => 'success','message' => 'User data updated successfully.');
        }
    }
    public function deleteUser($user_id){
        $this->db->where('user_id',$user_id);
        $this->db->delete('charity_users');
    }
    public function checkExistingUsers($data){
        $userId = decrypt($data['userId']);
        $user_name = $data['user_name'];
        $email_id = $data['email_id'];
        if(!empty($userId)){
            $this->db->where('user_id != ',$userId);
        }
        $this->db->where(" (user_name = '".$data['user_name']."' OR email_id = '".$data['email_id']."')  ");
        $result = $this->db->get('charity_users');
        //echo $this->db->last_query();
        if($result->num_rows() > 0){
            return true;
        }
        return false;
    }
    public function checkUserExists($userId){
        $this->db->select('user_id');
        $this->db->where('user_id',$userId);
        $this->db->where('user_type','sub_admin');
        $result = $this->db->get('charity_users');
        if($result->num_rows() > 0){
            return true;
        }
        return false;
    }
}