<?php
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
class WidgetsModel extends CI_Model{
    public function __construct(){
        parent::__construct();
    }
    public function getAllWidgets(){
        $widgets = array();
        $this->db->select('widget_id, title, description, image, publish');
        $res     = $this->db->get(DB_PREFIX . 'widgets');
        if($res->num_rows() > 0){
            foreach($res->result() as $row){
                $widgets[] = $row;
            }
            return $widgets;
        }
        return $widgets;
    }
    public function getWidgetById($widget_id = ''){
        $this->db->select('widget_id, title, description, image, publish');
        $this->db->where('widget_id', $widget_id);
        $res = $this->db->get(DB_PREFIX . 'widgets');
        if($res->num_rows() > 0){
            return $res->first_row();
        }
        return array();
    }
    public function insertUpdateWidget($insData){
        if($this->checkExistingWidget($insData)){
            return false;
        }
        $widgetId = $insData['widget_id'];
        unset($insData['widget_id']);
        if(empty($widgetId)){
            unset($insData['updation_date']);
            unset($insData['updated_by']);
            $this->db->insert(DB_PREFIX . 'widgets', $insData);
            return $this->db->insert_id();
        }else{
            unset($insData['creation_date']);
            unset($insData['created_by']);
            $this->db->update(DB_PREFIX . 'widgets', $insData, array('widget_id' => $widgetId));
            return $widgetId;
        }
    }
    public function checkExistingWidget($data){
        $widgetId = $data['widget_id'];
        $title   = $data['title'];
        $this->db->where(" title = '" . $title . "'");
        if(!empty($widgetId)){
            $this->db->where('widget_id != "' . $widgetId . '"');
        }
        $result = $this->db->get(DB_PREFIX . 'widgets');
        if($result->num_rows() > 0){
            return true;
        }
        return false;
    }
    public function deleteWidget($widget_id){
        $this->db->where('widget_id', $widget_id);
        $this->db->delete(DB_PREFIX . 'widgets');
    }
    public function insertWidgetImage($widget_id, $insData){
        $this->db->update(DB_PREFIX . 'widgets', $insData, array('widget_id' => $widget_id));
    }
    public function publishWidget($widget_id){
        $widgetData = $this->getWidgetById($widget_id);
        if(!empty($widgetData)) {
            if($blogData->publish == 'y') {
                $this->db->update(BD_PREFIX.'widget', array('publish' => 'y'), array('widget_id' => $widget_id));
                return array('type' => 'success', 'message' => 'Widget published successfully.');
            } else {
                $this->db->update(BD_PREFIX.'widget', array('publish' => 'n'), array('widget_id' => $widget_id));
                return array('type' => 'success', 'message' => 'Widget Un-published successfully.');
            }
        } else {
            return array('type' => 'invalid_id');
        }
        return $pS;
    }
}
?>