<script src="<?php echo SITE_URL; ?>js/admin/app/admin.permissions.js"></script>
<div class="content-wrapper">
    <section class="content-header">
        <h1>Permissions</h1>
    </section>
    <section class="content">
        <div class="row">
            <div class="col-md-6">
                <div class="box box-info">
                    <div class="box-header with-border">
                        <h3 class="box-title">Edit Group Permissions</h3>
                    </div>
                    <div class="box-body">
                        <form name="assignGroup" id='assignGroup' method="POST" action='<?php echo SITE_URL_ADMIN; ?>permissions'>
                            <div class="form-group">
                                <label>Group Assigned</label>
                                <select class="form-control" name="groupAssigned" id="groupAssigned" required="required">
                                    <option value=""> ------ Select ------</option>
                                    <?php
                                    foreach($allGroups as $key => $value){
                                        $selected = '';
                                        if($value->group_id == $groupAssigned){
                                            $selected = 'selected';
                                        }
                                        ?>
                                        <option value="<?php echo encrypt($value->group_id); ?>" <?php echo $selected; ?>>
                                            <?php echo $value->group_name; ?>
                                        </option>
                                        <?php
                                    }
                                    ?>
                                </select>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <?php
            if(!empty($permissions)){
                ?>
                <div class="col-md-6">
                    <div class="box">
                        <div class="box-body">
                            <form name="savePermission" id="savePermission" method="POST">                            
                                <?php
                                foreach($permissions as $key => $data){
                                    ?>
                                    <div class="form-group">
                                        <label>Module : <?php echo $data->module_name; ?></label>                                    
                                    </div>
                                    <div class="form-group">
                                        <label>Sub-Module : <?php echo $data->sub_module_name; ?></label>                                    
                                    </div>
                                    <div class="form-group">
                                        <label>Rights</label>
                                        <input type="checkbox" class="ckeckbox" name="groupRights[]" <?php echo $data->add_rights == 'y' ? 'checked' : ''; ?> value="add">Add
                                        <input type="checkbox" class="ckeckbox" name="groupRights[]" <?php echo $data->delete_rights == 'y' ? 'checked' : ''; ?> value="delete">Delete
                                        <input type="checkbox" class="ckeckbox" name="groupRights[]" <?php echo $data->edit_rights == 'y' ? 'checked' : ''; ?> value="edit">Edit
                                        <input type="checkbox" class="ckeckbox" name="groupRights[]" <?php echo $data->view_rights == 'y' ? 'checked' : '' ?> value="view">View
                                    </div>
                                    <?php
                                }
                                ?>
                                <div class="box-footer">
                                    <div class="form-group">
                                        <?php
                                    $subGrp = $this->a_sub_group_id[0];
                                    $access = $this->a_access[$subGrp];
                                    if($access->add_rights == 'y'){
                                        ?>
                                        <input type="submit" class="btn btn-primary" name="addPermissionBtn" id="addPermissionBtn" value="Save">
                                        <?php
                                    }else{
                                        if($edit){
                                            if($access->edit_rights == 'y'){
                                                ?>
                                                <input type="submit" class="btn btn-primary" name="addPermissionBtn" id="addPermissionBtn" value="Save">
                                                <?php
                                            }
                                        }
                                    }
                                    ?>
                                    </div>
                                </div>
                                <input type="hidden" name='permissionId' id='permissionId' value='<?php echo encrypt($data->permission_id); ?>'>
                                <input type="hidden" name='group_id' id='group_id' value='<?php echo encrypt($data->group_id); ?>'>
                            </form>
                        </div>
                    </div>
                </div>
                <?php
            }
            ?>
        </div> 
        <div class="row">
            <div class="col-md-12">
                <div class="box box-warning">
                    <div class="box-header with-border">
                        <h3 class="box-title">Permissions</h3>
                    </div>
                    <div class="box body no-padding">
                        <table class="table table-condensed" id="memberTable">
                            <thead>
                                <tr>
                                    <th> # </th>
                                    <th> Group Name </th>
                                    <th> Module Name </th>
                                    <th> Sub Module Name </th>
                                    <th> Add </th>
                                    <th> Delete </th>
                                    <th> Edit </th>
                                    <th> View </th>              
                                </tr>
                            </thead>
                            <tbody id="permissionTbody">
                                <?php
                                $i = 1;
                                if(!empty($groupPermissions)){
                                    $subGrp = $this->a_sub_group_id[0];
                                    $access = $this->a_access[$subGrp];                                    
                                    foreach($groupPermissions as $key => $data){
                                        if($data->group_id == 1){
                                            $editLink = $data->sub_module_name;
                                        }
                                        else{
                                            if($access->edit_rights == 'y'){
                                                $editLink = "<a id='editLink' href='".SITE_URL."admin/permissions?token=".encrypt($data->permission_id.'~'.$data->group_id)."'>".$data->sub_module_name."</a>";
                                            }else{
                                                $editLink = $data->sub_module_name;
                                            }
                                        }
                                        ?>
                                        <tr>
                                            <td><?php echo $i; ?></td>
                                            <td><?php echo ucwords($data->group_name); ?></td>
                                            <td><?php echo $data->module_name; ?></td>
                                            <td><?php echo $editLink; ?></td>
                                            <td><?php echo ucfirst($data->add_rights); ?></td>
                                            <td><?php echo ucfirst($data->delete_rights); ?></td>
                                            <td><?php echo ucfirst($data->edit_rights); ?></td>
                                            <td><?php echo ucfirst($data->view_rights); ?></td>
                                        </tr>  
                                        <?php
                                        $i++;
                                    }
                                }
                                ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>