<script src="<?php echo SITE_URL; ?>js/admin/app/admin.users.js"></script>
<div class="content-wrapper">
    <section class="content-header">
        <h1><?php echo $user_text; ?></h1>
    </section>
    <section class="content">
        <div class="row">
            <div class="col-md-6">
                <?php
//                echo $this->session->flashdata('message');
                ?>
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title">User Form</h3>
                    </div>                    
                    <div class="box-body">
                        <form role="form" name="addUser" id="addUser" method="POST">
                            <input type="hidden" name="userId" id="userId" value="<?php echo encrypt($userData->user_id); ?>">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="mandatory">First Name:</label>
                                        <input class="form-control" type="text" id="firstName" name="firstName" placeholder="First Name" value="<?php echo $userData->first_name; ?>" data-validation-engine="validate[required]" data-prompt-position="topLeft">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="mandatory">Last Name:</label>
                                        <input class="form-control" type="text" id="lastName" name="lastName" placeholder="Last Name" value="<?php echo $userData->last_name; ?>" data-validation-engine="validate[required]" data-prompt-position="topLeft">
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="mandatory">User Name:</label>
                                        <input class="form-control" type="text" id="userName" name="userName" placeholder="User Name" value="<?php echo $userData->user_name; ?>" data-validation-engine="validate[required]" data-prompt-position="topLeft">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="mandatory">Active</label>
                                        <select name="isActive" id="isActive" class="form-control" data-validation-engine="validate[required]" data-prompt-position="topLeft">
                                            <option value="">------ Select ------</option>
                                            <option value='y' <?php echo $userData->active == 'y' ? 'selected' : ''; ?> >Yes</option>
                                            <option value='n' <?php echo $userData->active == 'n' ? 'selected' : ''; ?> >No</option>
                                        </select>
                                    </div>
                                </div>   
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="mandatory">Email Id:</label>
                                        <input class="form-control" type="text" id="userEmail" name="userEmail" placeholder="Email Id" value="<?php echo $userData->email_id; ?>" data-validation-engine="validate[required,custom[email]]" data-prompt-position="topLeft">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="mandatory">Assign Group</label>
                                        <select name="groupAssigned" class="form-control" data-validation-engine="validate[required]" data-prompt-position="topLeft">
                                            <option value="">----- Select ------</option>
                                            <?php
                                            foreach($groups as $key => $value){
                                                $selected = '';
                                                if($userData->group_id == $value->group_id){
                                                    $selected = 'selected';
                                                }
                                                ?>
                                                <option value="<?php echo $value->group_id; ?>" <?php echo $selected; ?>><?php echo $value->group_name; ?></option>
                                                <?php
                                            }
                                            ?>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="<?php echo $edit == true ? '' : 'mandatory' ?>">Password:</label>
                                        <?php
                                        $validsate1 = $edit == true ? '' : "data-validation-engine='validate[required]' data-prompt-position='topLeft'";
                                        ?>
                                        <input class="form-control" type="password" id="userPasswd" name="userPasswd" placeholder="Enter Password" value="" <?php echo $validsate1; ?>>
                                    </div>
                                    <p class="help-block">* Password should be of 8 digits in length and should be a combination of atleast 1 uppercase letter, 1 lowercase letter, 1 number and 1 special character.</p>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="<?php echo $edit == true ? '' : 'mandatory' ?>">Confirm Password:</label>
                                        <?php
                                        $validsate2 = $edit == true ? '' : "data-validation-engine='validate[required,equals[userPasswd]]' data-prompt-position='topLeft'";
                                        ?>
                                        <input class="form-control" type="password" id="userCPasswd" name="userCPasswd" placeholder="Confirm Password" value="" <?php echo $validsate2; ?> >
                                    </div>
                                </div>  
                            </div>
                            <div class="box-footer">
                                <div class="form-group">
                                    <?php
                                    $subGrp     = $this->a_sub_group_id[0];
                                    $access     = $this->a_access[$subGrp];
                                    if($access->add_rights == 'y'){
                                        ?>
                                        <input class="btn btn-primary" type="submit" name="add_user_btn" id="add_user_btn" value="<?php echo $userData->submit; ?>" >
                                        <?php
                                    }else{
                                        if($edit){
                                            if($access->edit_rights == 'y'){
                                                ?>
                                                <input class="btn btn-primary" type="submit" name="add_user_btn" id="add_user_btn" value="<?php echo $userData->submit; ?>" >
                                                <?php
                                            }
                                        }
                                    }
                                    ?>  
                                    <input type="button" class="btn btn-primary" value="Cancel" onclick="redirect('admin/users');">
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="box box-warning">
                    <div class="box-header with-border">
                        <b><h3 class="box-title">Sub-Admin Users (Created by the Admin)</h3></b>
                    </div>
                    <div class="box body no-padding">
                        <table class="table table-condensed" id="userTable">
                            <thead>
                                <tr>
                                    <th id="filterUserId">#</th>                                    
                                    <th id="filterUserName">User Name</th>
                                    <th id="filterName">Name</th>
                                    <th id="filterGroupAssigned">Group Assigned</th>
                                    <th id="filterEmail">Email Id</th>
                                    <th id="filterActive">Active</th>
                                    <th id="filterAction">Action</th>
                                </tr>
                            </thead>
                            <tbody>                                
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="box box-warning">
                    <div class="box-header with-border">
                        <b><h3 class="box-title">Website Users (Registered through the web-site)</h3></b>
                    </div>
                    <div class="box body no-padding">
                        <table class="table table-condensed" id="siteUserTable">
                            <thead>
                                <tr>
                                    <th id="filterOtherUserId">#</th>                                    
                                    <th id="filterOtherUserName">User Name</th>
                                    <th id="filterOtherName">Name</th>
                                    <th id="filterOtherEmail">Email Id</th>
                                </tr>
                            </thead>
                            <tbody>                                
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>