<script src="<?php echo SITE_URL; ?>js/admin/app/admin.blogs.js"></script>
<div class="content-wrapper">
    <section class="content-header">

    </section>

    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="box box-info">
                    <div class="box-header with-border">
                        <h3 class="box-title">Add Blog</h3>
                        <div class="box-tools pull-right">
                            <button type="button" class="btn btn-info" data-toggle="collapse" data-target="#addBlog">
                                Add A Blog
                            </button>
                        </div>
                    </div>
                    <form name="addBlog" id="addBlog" method="POST" class="collapse">
                        <div class="box-body">
                            <div class="col-md-6">
                                <!-- Hidden Field to get the value of id -->
                                <input type="hidden" name="blogId" id="blogId" value="<?php echo (!empty($blogData)) ? $blogData->blog_id : '' ?>">
                                <div class="form-group">
                                    <label class="mandatory">Blog Title</label>
                                    <input type="text" class="form-control" name="blogTitle" id="blogTitle" value="<?php echo (!empty($blogData)) ? $blogData->title : '' ?>" data-validation-engine="validate[required]" data-prompt-position="topLeft">
                                </div>
                                <div class="form-group">
                                    <label>Page Content</label>
                                    <textarea class="form-control" name="blogContent" id="blogContent"><?php echo (!empty($blogData)) ? $blogData->content : '' ?></textarea>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="mandatory">SEO Titles</label>
                                    <textarea class="form-control" name="seoTitle" id="seoTitle" data-validation-engine="validate[required]" data-prompt-position="topLeft"><?php echo (!empty($blogData)) ? $blogData->seo_title : '' ?></textarea>
                                </div>
                                <div class="form-group">
                                    <label class="mandatory">SEO Description</label>
                                    <textarea class="form-control" name="seoDesc" id="seoDesc" data-validation-engine="validate[required]" data-prompt-position="topLeft"><?php echo (!empty($blogData)) ? $blogData->seo_desc : '' ?></textarea>
                                </div>
                                <div class="form-group">
                                    <label>SEO Keywords</label>
                                    <textarea class="form-control" name="seoKeywords" id="seoKeywords"><?php echo (!empty($blogData)) ? $blogData->seo_keywords : '' ?></textarea>
                                </div>
                                <div class="form-group">
                                    <?php if($this->approval_flag[11] == 'y'){ ?>
                                        <input type="checkbox" name="publish" <?php echo (!empty($blogData) && $blogData->publish == 'y') ? "checked" : '' ?> />      
                                        <label>Publish this page</label>
                                    <?php } ?>
                                </div>
                                <div class="form-group">
                                    <label>Comments: </label><br/>
                                    <?php
                                    if(!empty($comments)){
                                        echo $comments;
                                    }else{
                                        echo "No comments(s) found.";
                                    }
                                    ?>
                                </div>
                            </div>
                        </div>
                        <div class="box-footer">
                            <div class="form-group">
                                <?php
                                $subGrp = $this->a_sub_group_id[0];
                                $access = $this->a_access[$subGrp];
                                if($access->add_rights == 'y'){
                                    ?>
                                    <input type="submit" class="btn btn-primary" id="addBlogBtn" value="<?php echo $submit = (!empty(get('token'))) ? 'Update' : 'Add'; ?>">
                                    <?php
                                }else{
                                    if($edit){
                                        if($access->edit_rights == 'y'){
                                            ?>
                                            <input type="submit" class="btn btn-primary" id="addBlogBtn" value="<?php echo $submit = (!empty(get('token'))) ? 'Update' : 'Add'; ?>">
                                            <?php
                                        }
                                    }
                                }
                                ?>
                                <input type="button" class="btn btn-primary" value="Cancel" onclick="javascript:location.reload();">
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <div class="col-md-12">
                <div class="box box-warning">
                    <div class="box-header with-border">
                        <h3 class="box-title">Blogs</h3>
                    </div>
                    <div class="box body no-padding">
                        <table class="table table-condensed" id="blogsTable">
                            <thead>
                                <tr>
                                    <th id="filterBlogId"> # </th>
                                    <th id="filterBlogTitle"> Blog Title </th>
                                    <th id="filterBlogUploadedBy"> Uploaded By </th>
                                    <th id="filterBlogUserType"> User Type </th>
                                    <th id="filterBlogStatus"> Status </th>
                                    <th id="filterUpVotes"> Up-votes </th>
                                    <th id="filterDownVotes"> Down-votes </th>
                                    <th id="filterBlogHomepage"> Set as Homepage </th>
                                    <th id="filterBlogAction"> Action </th>                
                                </tr>
                            </thead>
                            <tbody>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
    </section>
</div>