<script src="<?php echo SITE_URL; ?>js/admin/app/admin.slider.js"></script>
<div class="content-wrapper">
    <section class="content-header">
        <h1><?php echo $slider_text; ?></h1>
    </section>
    <section class="content">
        <div class="row">
            <div class="col-md-8">
                <?php
//                echo $this->session->flashdata('message');
                ?>
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title">Slider Form</h3>
                    </div>                    
                    <div class="box-body">
                        <form role="form" name="addSlider" id="addSlider" enctype="multipart/form-data">
                            <input type="hidden" name="sliderId" id="sliderId" value="<?php echo encrypt($sliderData->slider_id); ?>">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="mandatory">Slider Title(Heading):</label>
                                        <input class="form-control" type="text" id="sliderTitle" name="sliderTitle" value="<?php echo $sliderData->slider_title; ?>" data-validation-engine="validate[required]" data-prompt-position="topLeft">
                                    </div>
                                    <div class="form-group">
                                        <label class="mandatory">Slider Description:</label>
                                        <textarea class="form-control"id="sliderDesc" name="sliderDesc" value="<?php echo $sliderData->slider_desc; ?>" data-validation-engine="validate[required]" data-prompt-position="topLeft"><?php echo $sliderData->slider_desc; ?></textarea>
                                    </div>
                                    <div class="form-group">
                                        <label>Button</label>
                                        <input type="checkbox" id="buttonRequest" name="buttonRequest" <?php echo $checked = (!empty($sliderData->btn_title)) ? 'checked' : ''; ?>>
                                    </div>
                                    <div id="getButtonDetails" style="display:none">
                                        <div class="form-group">
                                            <label class="mandatory">Button Title:</label>
                                            <input class="form-control" type="text" id="buttonTitle" name="buttonTitle" value="<?php echo $sliderData->btn_title; ?>" data-validation-engine="validate[required]" data-prompt-position="topLeft">
                                        </div>
                                        <div class="form-group">
                                            <label class="mandatory">Button Link :</label>
                                            <input class="form-control" type="text" id="buttonLink" name="buttonLink" value="<?php echo $sliderData->btn_link; ?>" data-validation-engine="validate[required]" data-prompt-position="topLeft">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="mandatory">Slider Image :</label>
                                        <input type="file" id="sliderImage" name="sliderImage" value="" data-validation-engine="validate[required]" data-prompt-position="topLeft">
                                        <input type="hidden" name="currentSliderImage" id="currentSliderImage" value="<?php echo $sliderData->slider_image;?>">
                                        <div class="box-body" id="viewSliderImage"></div>
                                    </div>
                                    <div class="form-group">
                                        <input type="checkbox" name="publish"
                                        <?php
                                        if(!empty($sliderData) && $sliderData->publish == 'y'){
                                            echo 'checked';
                                        }
                                        ?>
                                               >
                                        <label>Publish this slider</label>
                                    </div>
                                </div>
                            </div>
                            <div class="box-footer">
                                <div class="form-group">
                                    <?php
                                    $subGrp = $this->a_sub_group_id[0];
                                    $access = $this->a_access[$subGrp];
                                    if($access->add_rights == 'y'){
//                                        
                                        ?>
                                        <input class="btn btn-primary" type="submit" name="add_slider_btn" id="add_slider_btn" value="<?php echo $sliderData->submit; ?>" >
                                        <?php
                                    }else{
                                        if($edit){
                                            if($access->edit_rights == 'y'){
//                                                
                                                ?>
                                                <input class="btn btn-primary" type="submit" name="add_slider_btn" id="add_slider_btn" value="<?php echo $sliderData->submit; ?>" >
                                                <?php
                                            }
                                        }
                                    }
//                                    
                                    ?>
                                   <input type="button" class="btn btn-primary" value="Cancel" onclick="javascript:location.reload();">
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <div class="col-md-4">
                <div class="box box-warning">
                    <div class="box-header with-border">
                        <h3 class="box-title">Sliders</h3>
                    </div>
                    <div class="box body no-padding">
                        <table class="table table-condensed" id="sliderTable">
                            <thead>
                                <tr>
                                    <th>#</th>                                    
                                    <th>Slider Title</th>
                                    <th>Publish</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
//                                pre($allSliders);
                                $i = 1;
                                foreach($allSliders as $key => $data){
                                    ?>
                                    <tr>
                                        <td><?php echo $i; ?></td>
                                        <td><?php echo ucwords($data->slider_title); ?></td>
                                        <td>
                                            <?php $slider_id = ($access->edit_rights == 'y') ? encrypt($data->slider_id): ''; ?>
                                            <input type="checkbox" name="publishCheck" id="publishCheck" <?php echo $publish = ($data->publish == 'y') ? 'checked' : ''; ?> id_attr="<?php echo $slider_id; ?>">
                                        </td>
                                        <td>
                                            <?php if($access->edit_rights == 'y'){ ?>
                                                <a href="<?php echo SITE_URL; ?>admin/slider?token=<?php echo encrypt($data->slider_id); ?>" class="btn btn-secondary">Edit</a>
                                            <?php } ?> |
                                            <?php if($access->delete_rights == 'y'){ ?>
                                                <input type="submit" name="del_slider_btn" id="del_slider_btn" class="btn btn-secondary" value="Delete" id_attr="<?php echo encrypt($data->slider_id); ?>">
                                            <?php } ?>
                                        </td>
                                    </tr>  
                                    <?php
                                    $i++;
                                }
                                ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-8">
                <?php
                $token = get('token');
                if(!empty($token)){
                    ?>
                    <div class="box box-primary">
                        <div class="box-header with-border">
                            <h3 class="box-title">Slider Image</h3>
                        </div>                    
                        <div class="box-body">
                            <div class="col-md-2 img-container">
                                <img class="myImgClass" id="" src="<?php echo SITE_URL; ?>skin/images/sliders/<?php echo $sliderData->slider_image; ?>">
                                <!--<a href="javascript:void(0)"><img class="myCrossImg" id="removeSliderImg" imgId="" src="<?php echo SITE_URL; ?>skin/admin/images/close.png"></a>-->
                            </div>
                        </div>
                    </div>
                <?php } ?>
            </div>
        </div>
    </section>
</div>