<script src="<?php echo SITE_URL; ?>js/admin/app/admin.widgets.js"></script>
<div class="content-wrapper">
    <section class="content-header">
        <h1><?php echo $widget_text; ?></h1>
    </section>
    <section class="content">
        <div class="row">
            <div class="col-md-8">
                <?php
//                echo $this->session->flashdata('message');
                ?>
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title">Form</h3>
                    </div>                    
                    <div class="box-body">
                        <form role="form" name="addWidget" id="addWidget" enctype="multipart/form-data">
                            <input type="hidden" name="widgetId" id="widgetId" value="<?php echo encrypt($widgetData->widget_id); ?>">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="mandatory">Widget Title:</label>
                                        <input class="form-control" type="text" id="widgetTitle" name="widgetTitle" value="<?php echo $widgetData->title; ?>" data-validation-engine="validate[required]" data-prompt-position="topLeft">
                                    </div>
                                    <div class="form-group">
                                        <label class="mandatory">Widget Description:</label>
                                        <textarea class="form-control"id="widgetDesc" name="widgetDesc" value="" data-validation-engine="validate[required]" data-prompt-position="topLeft"><?php echo $widgetData->description; ?></textarea>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="mandatory">Widget Image :</label>
                                        <input type="file" id="widgetImage" name="widgetImage" value="" data-validation-engine="validate[required]" data-prompt-position="topLeft">
                                        <input type="hidden" name="currentWidgetImage" id="currentWidgetImage" value="<?php echo $widgetData->image; ?>">
                                        <div class="box-body" id="viewWidgetImage"></div>
                                    </div>
                                    <?php
                                    if($approval_flag == 'y'){
                                        ?>
                                        <div class="form-group">
                                            <input type="checkbox" name="publish"
                                            <?php
                                            if(!empty($widgetData) && $widgetData->publish == 'y'){
                                                echo 'checked';
                                            }
                                            ?>>
                                            <label>Publish this widget</label>
                                        </div>
                                    <?php } ?>
                                </div>
                            </div>
                            <div class="box-footer">
                                <div class="form-group">
                                    <?php
                                    $subGrp = $this->a_sub_group_id[0];
                                    $access = $this->a_access[$subGrp];
                                    if($access->add_rights == 'y'){
//                                        
                                        ?>
                                        <input class="btn btn-primary" type="submit" name="add_widget_btn" id="add_widget_btn" value="<?php echo $widgetData->submit; ?>" >
                                        <?php
                                    }else{
                                        if($edit){
                                            if($access->edit_rights == 'y'){
//                                                
                                                ?>
                                                <input class="btn btn-primary" type="submit" name="add_widget_btn" id="add_widget_btn" value="<?php echo $widgetData->submit; ?>" >
                                                <?php
                                            }
                                        }
                                    }
//                                    
                                    ?>
                                    <input type="button" class="btn btn-primary" value="Cancel" onclick="javascript:location.reload();">
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <div class="col-md-4">
                <div class="box box-warning">
                    <div class="box-header with-border">
                        <h3 class="box-title">Widgets</h3>
                    </div>
                    <div class="box body no-padding">
                        <table class="table table-condensed" id="widgetsTable">
                            <thead>
                                <tr>
                                    <th>#</th>                                    
                                    <th>Widget Title</th>
                                    <th>Publish</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                $i = 1;
                                foreach($allWidgets as $key => $widget){
                                    ?>
                                    <tr>
                                        <td><?php echo $i; ?></td>
                                        <td><?php echo ucwords($widget->title); ?></td>
                                        <td>
                                            <?php
                                            $widget_id = "";
                                            if($access->edit_rights == 'y'){
                                                $widget_id = encrypt($widget->widget_id);
                                            }
                                            ?>
                                            <input type="checkbox" name="publishCheck" id="publishCheck" <?php echo $publish = ($widget->publish == 'y') ? 'checked' : ''; ?> id_attr="<?php echo $widget_id; ?>">
                                        </td>
                                        <td>
                                            <?php if($access->edit_rights == 'y'){ ?>
                                                <a href="<?php echo SITE_URL; ?>admin/widgets?token=<?php echo encrypt($widget->widget_id); ?>" class="btn btn-secondary">Edit</a>
                                            <?php } ?> |
                                            <?php if($access->delete_rights == 'y'){ ?>
                                                <input type="submit" name="del_widget_btn" id="del_widget_btn" class="btn btn-secondary" value="Delete" id_attr="<?php echo encrypt($widget->widget_id); ?>">
                                            <?php } ?>
                                        </td>
                                    </tr>
                                    <?php
                                    $i++;
                                }
                                ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-8">
                <?php
                $token = get('token');
                if(!empty($token)){
                    ?>
                    <div class="box box-primary">
                        <div class="box-header with-border">
                            <h3 class="box-title">Widget Image</h3>
                        </div>                    
                        <div class="box-body">
                            <div class="col-md-2 img-container">
                                <img class="myImgClass" id="" src="<?php echo SITE_URL; ?>skin/images/widgets/<?php echo $widgetData->image; ?>">
                                <a href="javascript:void(0)"><img class="myCrossImg" id="removeWidgetImg" imgId="" src="<?php echo SITE_URL; ?>skin/admin/images/close.png"></a>
                            </div>
                        </div>
                    </div>
                <?php } ?>
            </div>
        </div>
    </section>
</div>