<div class="swiper-container hero-slider">
    <div class="swiper-wrapper">
        <?php
        if(!empty($sliders)){
            foreach($sliders as $k => $slider){
                ?>
                <div class="swiper-slide hero-content-wrap">
                    <img src="<?php echo SITE_URL; ?>skin/images/sliders/<?php echo $slider->slider_image; ?>" alt="charity">

                    <div class="hero-content-overlay position-absolute w-100 h-100">
                        <div class="container h-100">
                            <div class="row h-100">
                                <div class="col-12 col-lg-8 d-flex flex-column justify-content-center align-items-start">
                                    <header class="entry-header">
                                        <h1><?php echo $slider->slider_title; ?></h1>
                                    </header><!-- .entry-header -->

                                    <div class="entry-content mt-4">
                                        <p><?php echo $slider->slider_desc; ?></p>
                                    </div><!-- .entry-content -->
                                    <?php if(!empty($slider->btn_title)){ ?>
                                        <footer class="entry-footer d-flex flex-wrap align-items-center mt-5">
                                            <a href="<?php echo $slider->btn_link; ?>" class="btn orange-border"><?php echo $slider->btn_title; ?></a>
                                        </footer><!-- .entry-footer -->
                                    <?php } ?>
                                </div><!-- .col -->
                            </div><!-- .row -->
                        </div><!-- .container -->
                    </div><!-- .hero-content-overlay -->
                </div><!-- .hero-content-wrap -->
                <?php
            }
        }else{
            ?>
            <div class="swiper-slide hero-content-wrap">
                <img src="<?php echo SITE_URL; ?>skin/images/hero.jpg" alt="">

                <div class="hero-content-overlay position-absolute w-100 h-100">
                    <div class="container h-100">
                        <div class="row h-100 justify-content-center">
                            <div class="col-12 col-lg-8 d-flex flex-column justify-content-center align-items-center">
                                <header class="entry-header">
                                    <h1>Mission Food</h1>
                                </header><!-- .entry-header -->

                                <div class="entry-content mt-4">
                                    <p>
                                        We are doing langar sewa on weekly basis on needy areas. Currently we are supporting
                                        Sector 32 Hospital patients on their needs towards foods and other requirements.
                                    
                                    </p>
                                </div><!-- .entry-content -->
                                <!--<footer class="entry-footer d-flex flex-wrap align-items-center mt-5">
                                    <a href="#" class="btn gradient-bg mr-2">Donate Now</a>
                                    <a href="#" class="btn orange-border">Read More</a>
                                </footer> -->
                            </div><!-- .col -->
                        </div><!-- .row -->
                    </div><!-- .container -->
                </div><!-- .hero-content-overlay -->
            </div>
            
             <div class="swiper-slide hero-content-wrap">
                <img src="<?php echo SITE_URL; ?>skin/images/hero1.jpg" alt="">

                <div class="hero-content-overlay position-absolute w-100 h-100">
                    <div class="container h-100">
                        <div class="row h-100 justify-content-center">
                            <div class="col-12 col-lg-9 d-flex flex-column justify-content-center align-items-center">
                                <header class="entry-header">
                                    <h1>Mission Education</h1>
                                </header><!-- .entry-header -->

                                <div class="entry-content mt-4">
                                    <p>
                                       We have starting educating needy children. Donating books to needy ones.
                                    </p>
                                </div><!-- .entry-content -->
                                <!--<footer class="entry-footer d-flex flex-wrap align-items-center mt-5">
                                    <a href="#" class="btn gradient-bg mr-2">Donate Now</a>
                                    <a href="#" class="btn orange-border">Read More</a>
                                </footer> -->
                            </div><!-- .col -->
                        </div><!-- .row -->
                    </div><!-- .container -->
                </div><!-- .hero-content-overlay -->
            </div>

             <div class="swiper-slide hero-content-wrap">
                <img src="<?php echo SITE_URL; ?>skin/images/hero3.jpg" alt="">

                <div class="hero-content-overlay position-absolute w-100 h-100">
                    <div class="container h-100">
                        <div class="row h-100 justify-content-center">
                            <div class="col-12 col-lg-8 d-flex flex-column justify-content-center align-items-center">
                                <header class="entry-header">
                                    <h1>Mission Health</h1>
                                </header><!-- .entry-header -->

                                <div class="entry-content mt-4">
                                    <p>
                                        We are working together to relieve suffering and despair and our world to ease the suffering
                                        of people who could use a helping hand: physically, mentally, and spiritually.
                                    
                                    </p>
                                </div><!-- .entry-content -->
                                <!--<footer class="entry-footer d-flex flex-wrap align-items-center mt-5">
                                    <a href="#" class="btn gradient-bg mr-2">Donate Now</a>
                                    <a href="#" class="btn orange-border">Read More</a>
                                </footer> -->
                            </div><!-- .col -->
                        </div><!-- .row -->
                    </div><!-- .container -->
                </div><!-- .hero-content-overlay -->
            </div>
            
            <!-- .hero-content-wrap -->
        <?php }
        ?>
    </div><!-- .swiper-wrapper -->

    <div class="pagination-wrap position-absolute w-100">
        <div class="container">
            <div class="swiper-pagination"></div>
        </div><!-- .container -->
    </div><!-- .pagination-wrap -->

    <!-- Add Arrows -->
    <div class="swiper-button-next flex justify-content-center align-items-center">
        <span><svg viewBox="0 0 1792 1792" xmlns="http://www.w3.org/2000/svg"><path d="M1171 960q0 13-10 23l-466 466q-10 10-23 10t-23-10l-50-50q-10-10-10-23t10-23l393-393-393-393q-10-10-10-23t10-23l50-50q10-10 23-10t23 10l466 466q10 10 10 23z"/></svg></span>
    </div>

    <div class="swiper-button-prev flex justify-content-center align-items-center">
        <span><svg viewBox="0 0 1792 1792" xmlns="http://www.w3.org/2000/svg"><path d="M1203 544q0 13-10 23l-393 393 393 393q10 10 10 23t-10 23l-50 50q-10 10-23 10t-23-10l-466-466q-10-10-10-23t10-23l466-466q10-10 23-10t23 10l50 50q10 10 10 23z"/></svg></span>
    </div>
</div><!-- .hero-slider -->