<!DOCTYPE HTML>
<html lang="zxx">

    <head>
        <title>Login: Charity</title>
        <!-- Meta tag Keywords -->
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta charset="UTF-8" />
        <meta name="keywords" content="Charity" />

        <link rel="stylesheet" type="text/css" href="<?php echo SITE_URL; ?>skin/css/user.style.min.css" media="all" />
        <link rel="stylesheet" type="text/css" href="<?php echo SITE_URL; ?>skin/css/user.style.min.css" media="all" />
        <script src="<?php echo SITE_URL; ?>js/jquery.min.js"></script>
        <script src="<?php echo SITE_URL; ?>js/common.js"></script>
        <script type="text/javascript">var SITE_URL = '<?php echo SITE_URL; ?>';</script>
        <script type='text/javascript' src='<?php echo SITE_URL; ?>js/app/users.js'></script>

    </head>

    <body>
        <?php $this->load->view("common/icons"); ?>
        <div class="limiter">
            <div class="container-login">
                <div class="wrap-login">
                    <div class="login-pic js-tilt" data-tilt>
                        <img src="<?php echo SITE_URL; ?>skin/images/logo.jpg" alt="BG">
                    </div>

                    <form class="login-form validate-form" id="userLogin" name="userLogin" mothod="POST">
                        <a href="<?php echo SITE_URL ?>">
                            <span class="login-form-title">
                                <img src="<?php echo SITE_URL; ?>skin/images/glogobanner.png" alt="Logo">
                            </span>
                        </a>

                        <div class="wrap-input">
                            <input class="input" type="email" name="email" required="required" placeholder="Email">
                            <span class="focus-input"></span>
                            <span class="symbol-input">
                                <svg class="icon"><use xlink:href="#envelope"></use></svg>
                            </span>
                        </div>

                        <div class="wrap-input">
                            <input class="input" type="password" name="password" required="required" placeholder="Password">
                            <span class="focus-input"></span>
                            <span class="symbol-input">
                                <svg class="icon"><use xlink:href="#lock"></use></svg>
                            </span>
                        </div>

                        <div class="container-login-form-btn">
                            <button class="login-form-btn">
                                Login
                            </button>
                        </div>

<!--                        <div class="text-center p-t-12">
                            <span class="txt1">
                                Forgot
                            </span>
                            <a class="txt2" href="<?php // echo SITE_URL; ?>user/forgotPassword">
                                Password?
                            </a>
                        </div>-->

                        <div class="text-center p-t-50">
                            <a class="txt2" href="<?php echo SITE_URL; ?>user/registerUser">
                                Create your Account
                                <svg class="icon"><use xlink:href="#long-arrow-right"></use></svg>
                            </a>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </body>
    <div style="display: none;" id="sessionMessage"><?php dispSessionMsg(true); ?></div>
    <div class="loader" style="display: none;"></div>			
    <div id="info-messages" class='info-messages'></div>
</html>