<script src="<?php echo SITE_URL; ?>js/jquery.min.js"></script>
<script src="<?php echo SITE_URL; ?>js/common.js"></script>
<script type="text/javascript">var SITE_URL = '<?php echo SITE_URL; ?>';</script>
<script type='text/javascript' src='<?php echo SITE_URL; ?>js/app/users.js'></script>


<?php if($pageData->page_key == 'about-us'){ ?>
    <div class="single-page about-page">
        <div class="page-header" style="background:url(<?php echo SITE_URL; ?>skin/images/about-bg.jpg) no-repeat center;">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <h1>About Us</h1>
                    </div><!-- .col -->
                </div><!-- .row -->
            </div><!-- .container -->
        </div><!-- .page-header -->
        <div class="welcome-wrap">
            <div class="container">
                <div class="row">
                    <div class="col-12 col-lg-12">
                        <div class="welcome-content">
                            <?php
                            if(!empty($pageData->content)){
                                echo $pageData->content;
                            }else{
                                ?>
                                <h2 class="entry-title">Welcome to "giving HANDS for HUMANITY"</h2>
                                <div class="entry-content mt-5">
                                    <p>
                                        Giving HANDS for HUMANITY is a non-profit; non-government organization dedicated to demonstrating God&rsquo;s 
                                        love by alleviating human need and suffering in India. We are providing support in healthcare, education and 
                                        foods for needy ones. We heartily thanks Our DONORS who are our PILLARS of strength and encouragement, we are 
                                        able to accomplish all our missions successfully with the help of our donors.
                                    </p>
                                </div>
                            <?php } ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>


        <?php
        if(!empty($testimonials)){
            ?>
            <div class="about-testimonial">
                <div class="container">
                    <div class="row">
                        <div class="swiper-container testimonialSlider">
                            <div class="swiper-wrapper">
                                <?php foreach($testimonials as $k => $testimonial){ ?>
                                    <div class="swiper-slide">
                                        <div class="testimonial-cont">
                                            <div class="entry-content">
                                                <h3 class="entry-title w-100 m-0"><?php echo $testimonial->testimonial; ?></h3>
                                            </div>
                                            <div class="entry-footer d-flex flex-wrap align-items-center mt-5">
                                                <img src="<?php echo SITE_URL; ?>skin/images/testimonialImages/<?php echo $testimonial->photo; ?>" alt="<?php echo $testimonial->name; ?>">
                                                <h4><?php echo ucwords($testimonial->name) . "    "; ?><span>(Volunteer)</span></h4>
                                            </div>
                                        </div>
                                    </div>
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        <?php }
        ?>
    </div>
<?php }elseif($pageData->page_key == 'contact-us'){
    ?>
    <div class="single-page contact-page">
        <div class="page-header" style="background:url(<?php echo SITE_URL; ?>skin/images/about-bg.jpg) no-repeat center;">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <h1>Contact Us</h1>
                    </div><!-- .col -->
                </div><!-- .row -->
            </div><!-- .container -->
        </div><!-- .page-header -->
        <div class="contact-page-wrap">
            <div class="container">
                <div class="row">
                    <div class="col-12 col-lg-5">
                        <div class="entry-content">
                            <?php
                            if(!empty($pageData->content)){
                                echo $pageData->content;
                            }else{
                                ?>
                                <h2>Get In touch with us</h2>

                                <p>
                                    Giving HANDS for HUMANITY is a non-profit; non-government organization dedicated to demonstrating God’s 
                                    love by alleviating human need and suffering in India. We provide support for healthcare, education and hunger 
                                    for the people in need
                                </p>
                                <ul class="contact-info p-0">
                                    <li><i class="fa fa-phone"></i><span>+45 677 8993000 223</span></li>
                                    <li><i class="fa fa-envelope"></i><span>office@template.com</span></li>
                                    <li><i class="fa fa-map-marker"></i><span>Main Str. no 45-46, b3, 56832, Los Angeles, CA</span></li>
                                </ul>
                            <?php } ?>
                        </div>
                    </div>

                    <div class="col-12 col-lg-7">
                        <form class="contact-form" name="contactForm" id="contactForm" method="POST">
                            <input type="text" name="name" required="required" id="name" placeholder="Name">
                            <input type="email" name="email" required="required" id="email" placeholder="Email">
                            <textarea rows="15" cols="6" name="message" required="required" id="message" placeholder="Messages"></textarea>

                            <span>
                                <input class="btn gradient-bg" type="submit" value="Contact us">
                            </span>
                        </form>

                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php
}else{
    ?>
    <div class="single-page about-page">
        <div class="page-header" style="background:url(<?php echo SITE_URL; ?>skin/images/about-bg.jpg) no-repeat center;">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <h1><?php echo $pageData->title; ?></h1>
                    </div><!-- .col -->
                </div><!-- .row -->
            </div><!-- .container -->
        </div><!-- .page-header -->
        <div class="welcome-wrap">
            <div class="container">
                <div class="row">
                    <div class="col-12 col-lg-12 order-2 order-lg-1">
                        <div class="welcome-content">
                            <?php echo $pageData->content; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php } ?>
