<!DOCTYPE HTML>
<html lang="zxx">

    <head>
        <title>Registration: Charity</title>
        <!-- Meta tag Keywords -->
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta charset="UTF-8" />
        <meta name="keywords" content="Testing Experts" />

        <link rel="stylesheet" type="text/css" href="<?php echo SITE_URL; ?>skin/css/user.style.min.css" media="all" />
        <script src="<?php echo SITE_URL; ?>js/jquery.min.js"></script>
        <script src="<?php echo SITE_URL; ?>js/common.js"></script>
        <script type="text/javascript">var SITE_URL = '<?php echo SITE_URL; ?>';</script>
        <script type='text/javascript' src='<?php echo SITE_URL; ?>js/app/users.js'></script>
    </head>

    <body>
        <?php $this->load->view("common/icons"); ?>
        <div class="limiter">
            <div class="container-login">
                <div class="wrap-login">
                    <form class="registration-form validate-form" method="post" name="userRegister" id="userRegister">
                        <span class="login-form-title">
                            <a href="<?php echo SITE_URL; ?>"><img src="<?php echo SITE_URL; ?>skin/images/logo.jpg" alt="Logo" width="200px"></a>
                        </span>

                        <div class="wrap-input">
                            <input class="input" type="text" name="firstName" required="required" id="firstName" placeholder="First Name">
                            <span class="focus-input"></span>
                            <span class="symbol-input">
                                <svg class="icon"><use xlink:href="#user-silhouette"></use></svg>
                            </span>
                        </div>

                        <div class="wrap-input">
                            <input class="input" type="text" name="lastName" required="required" id="lastName" placeholder="Last Name">
                            <span class="focus-input"></span>
                            <span class="symbol-input">
                                <svg class="icon"><use xlink:href="#user-silhouette"></use></svg>
                            </span>
                        </div>

                        <div class="wrap-input">
                            <input class="input" type="text" name="username" required="required" id="username" placeholder="Username">
                            <span class="focus-input"></span>
                            <span class="symbol-input">
                                <svg class="icon"><use xlink:href="#user-silhouette"></use></svg>
                            </span>
                        </div>

                        <div class="wrap-input">
                            <input class="input" type="email" name="email" required="required" id="email" placeholder="Email">
                            <span class="focus-input"></span>
                            <span class="symbol-input">
                                <svg class="icon"><use xlink:href="#envelope"></use></svg>
                            </span>
                        </div>


                        <div class="wrap-input">
                            <input class="input" type="password" name="password" required="required" id="password" placeholder="Password">
                            <span class="focus-input"></span>
                            <span class="symbol-input">
                                <svg class="icon"><use xlink:href="#lock"></use></svg>
                            </span>
                        </div>

                        <div class="wrap-input">
                            <input class="input" type="password" name="confirmPassword" required="required" id="confirmPassword" placeholder="Confirm Password">
                            <span class="focus-input"></span>
                            <span class="symbol-input">
                                <svg class="icon"><use xlink:href="#lock"></use></svg>
                            </span>
                        </div>
                        <div class="text-center p-t-50">
                            * Password should be of 8 digits in length and should be a combination of 
                            at-least 1 uppercase letter, 1 lowercase letter, 1 number and 
                            1 special character.
                        </div>

                        <div class="container-login-form-btn">
                            <button class="login-form-btn">
                                Submit
                            </button>
                        </div>

                        <div class="text-center p-t-50">
                            <a class="txt2" href="<?php echo SITE_URL; ?>user">
                                Login
                                <svg class="icon"><use xlink:href="sprite.svg#long-arrow-right"></use></svg>
                            </a>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <div style="display: none;" id="sessionMessage"><?php dispSessionMsg(true); ?></div>
        <div class="loader" style="display: none;"></div>			
        <div id="info-messages" class='info-messages'></div>
    </body>
</html>