/*
 *  on-change on drop down for groups
 *  to view permissions data table
 */
var Permission = {}
Permission = {
    getPermissionData: function (groupAssigned) {
        $.ajax({
            url: SITE_URL_ADMIN + "permissions/index",
            type: "POST",
            dataType: "html",
            data: {
                groupId: groupAssigned
            },
            success: function (response) {

            }
        });
    },
    savePermission: function (Data) {
        Loader.show();
        $.ajax({
            url: SITE_URL_ADMIN + "permissions/updPermissions",
            type: "POST",
            dataType: "json",
            data: {
                permissionId: Data.permissionId,
                group_id: Data.group_id,
                addRight: Data.addRights,
                deleteRight: Data.deleteRights,
                editRight: Data.editRights,
                viewRight: Data.viewRights
            },
            success: function (response) {
                Loader.hide();
                if (response.type == 'success') {
                    //window.location.replace(SITE_URL_ADMIN + "permissions");
                    redirect('admin/permissions?token=' + response.token)
                }
            },
            error: function (error) {
                Loader.hide();
                ajaxError(error);
            }
        });
    }
}

$(document).on('change', '#groupAssigned', function (e) {
    $('#permissionFormHide').hide();
    e.preventDefault();
    var groupAssigned = $('#groupAssigned').val();
    Permission.getPermissionData(groupAssigned);
});
/*
 * Permission form submission
 */
$(document).on('submit', '#savePermission', function (e) {
    e.preventDefault();
    var permissionId = $('#permissionId').val();
    var group_id = $('#group_id').val();
    var addRights = $(":checkbox[value=add]").prop("checked");
    var deleteRights = $(":checkbox[value=delete]").prop("checked");
    var editRights = $(":checkbox[value=edit]").prop("checked");
    var viewRights = $(":checkbox[value=view]").prop("checked");

    var Data = {
        'permissionId': permissionId,
        'group_id': group_id,
        'addRights': addRights,
        'deleteRights': deleteRights,
        'editRights': editRights,
        'viewRights': viewRights,
    };
    Permission.savePermission(Data);
});
$(document).on('change', '#groupAssigned', function (e) {
    document.getElementById("assignGroup").submit();
});