var SETTING = {};
SETTING = {
    saveUpdateSetting:function(that){
        $(that).validationEngine(ValidationOption);
        var result = $(that).validationEngine('validate');
        if (!result) {
            return false;
        }
//        var formData = $(that).serialize();
        var formData = new FormData(that);
        Loader.show();
        $.ajax({
            url: SITE_URL_ADMIN + "settings/addSetting",
            dataType: "json",
            type: 'POST',
            data: formData,
            processData: false,
            contentType: false,
            success: function (response) {
                Loader.hide();
                if (response.type == 'success') {
                    AlertMessage.success(response.message);
                    redirect('admin/settings');
                } else {
                    AlertMessage.error(response.message);
                }
            },
            error: function (error) {
                Loader.hide();
                ajaxError(error);
            }
        });
    },
    deleteSetting:function(that) {
        var settingId = $(that).attr('id_attr');
        if (confirm('Are You Sure ?? ')) {
            Loader.show();
            $.ajax({
                url: SITE_URL_ADMIN + "settings/delSetting",
                type: "POST",
                dataType: "json",
                data: {
                    delSettingId: settingId
                },
                success: function (response) {
                    Loader.hide();
                    if (response.type == 'success') {
                        redirect('admin/users');
                    }
                }
            });
        }
    },
    previewImages: function (that, divId) {
        var fileList = that.files;
        var anyWindow = window.URL || window.webkitURL;
        $('#'+divId).html('');
        for (var i = 0; i < fileList.length; i++) {
            var objectUrl = anyWindow.createObjectURL(fileList[i]);
            $('#'+divId).append('<img class="myIconClass" id="fbImg" src="' + objectUrl + '" height="200px" width="400px"/>');
            window.URL.revokeObjectURL(fileList[i]);
        }
    }
}
$(document).on('submit','#addSetting',function(e) {
    e.preventDefault();
    SETTING.saveUpdateSetting(this);
});
$(document).on('click', '#del_setting_btn', function (e) {
    e.preventDefault();
    SETTING.deleteSetting(this);
});
$(document).on('change', '#fb_image', function () {
    SETTING.previewImages(this, 'facebookImagePreview');
});
$(document).on('change', '#twitter_image', function () {
    SETTING.previewImages(this, 'twitterImagePreview');
});
$(document).on('change', '#youtube_image', function () {
    SETTING.previewImages(this, 'youtubeImagePreview');
});
$(document).on('change', '#linkedIn_image', function () {
    SETTING.previewImages(this, 'linkedinImagePreview');
});