LOGIN = {
    loginMember: function (that) {
        $(that).validationEngine(ValidationOption);
        var result = $(that).validationEngine('validate');
        if (!result) {
            return false;
        }
        var formData = $(that).serialize();
        Loader.show();
        $.ajax({
            url: SITE_URL + "admin/login/loginUser",
            dataType: "json",
            type: 'POST',
            data: formData,
            success: function (response) {
                Loader.hide();
                if (response.type == 'success') {
                    redirect('admin/dashboard');
                    exit();
                }
                AlertMessage.error(response.message);
            },
            error: function (error) {
                Loader.hide();
                ajaxError(error);
            }
        });
    },
}

$(document).on('submit', '#memberLogin', function (e) {
    e.preventDefault();
    LOGIN.loginMember(this);
});