USER = {
    userLogin: function (that) {
        var formData = $(that).serialize();
        $.ajax({
            url: SITE_URL + "user/loginUser",
            dataType: "json",
            type: 'POST',
            data: formData,
            success: function (response) {
                if (response.type == 'success') {
                    window.location.replace(SITE_URL);
                } else {
                    AlertMessage.error(response.message);
                }
            }
        });
    },
    userRegister: function (that) {
        var formData = $(that).serialize();
        $.ajax({
            url: SITE_URL + "user/saveUserData",
            dataType: "json",
            type: "post",
            data: formData,
            success: function (response) {
                if (response.type == 'success') {
                    window.location.replace(SITE_URL + 'user');
                } else {
                    AlertMessage.error(response.message);
                }
            }
        });
    },
    saveContactDetails: function (that) {
        var formData = $(that).serialize();
        $.ajax({
            url: SITE_URL + "user/saveContactDetails",
            dataType: "json",
            type: "post",
            data: formData,
            success: function (response) {
                if (response.type == 'success') {
                    window.location.reload();
                } else {
                    AlertMessage.error(response.message);
                }
            }
        });
    }
}
$(document).on('submit', '#userLogin', function (e) {
    e.preventDefault();
    USER.userLogin(this);
});
$(document).on('submit', '#userRegister', function (e) {
    e.preventDefault();
    USER.userRegister(this);
});
$(document).on('submit', '#contactForm', function (e) {
    e.preventDefault();
    USER.saveContactDetails(this);
});