var hPos = 0;
MATTERSOFCOMMUNITY = {
    site_navigation: function () {
        $('.site-navigation li:has(ul)').each(function () {
            var elem = $(this);
            elem.append('<a href="#" class="submenu-opener">&raquo;</a>');
            elem.find('ul').append('<a href="#" class="close-submenu">&times;</a>');
            $('.submenu-opener').click(function () {
                $(this).closest('li').addClass('open-submenu');
            })
            $('.close-submenu').click(function () {
                $(this).closest('li').removeClass('open-submenu');
            })
        });
    },


    data_target: function (that) {
        var toSection = $($(that).data('target')).offset().top - $('.site-header').height();
        $('body, html').animate({
            'scrollTop': toSection
        }, 1000);
    },

    fixedHeader: function () {
        if ($(window).scrollTop() >= hPos) {
            $('html').addClass('fixed-header');
        } else {
            $('html').removeClass('fixed-header');
        }
    },
  
    nav_hamburger: function () {
        $('html').toggleClass('menu-open');
    },
}
$(function () {
    hPos = $('.site-header').offset().top;
    //$('.site-header-placeholder').height($('.site-header').outerHeight());
    MATTERSOFCOMMUNITY.site_navigation();
    $(window).on('load scroll resize orientationchange', function () {
        MATTERSOFCOMMUNITY.fixedHeader();
    })
    $('.nav-hamburger').click(function () {
        MATTERSOFCOMMUNITY.nav_hamburger();
    });
    
    if (!Cookie.get('_mtz_c_act')) {
        setTimeout(function () {
            $('.notification-cookies').addClass('active');
            $('.notification-cookies .btn-agree, .notification-cookies .close').click(function (e) {
                e.preventDefault();
                var cAlert = $(this).closest('.notification-cookies');
                setTimeout(function () {
                    cAlert.removeClass('active');
                }, 250);
                Cookie.set('_mtz_c_act', 'true', 3650);
            })
        }, 100);
    }
});
$(document).ready(function () {
    $(window).scroll(function () {
        if ($(this).scrollTop() > 100) {
            $('#scroll').fadeIn();
        } else {
            $('#scroll').fadeOut();
        }
    });
    $('#scroll').click(function () {
        $("html, body").animate({scrollTop: 0}, 600);
        return false;
    });
});
var Cookie = {
    set: function (name, value, days) {
        var domain, domainParts, date, expires, host;
        if (days) {
            date = new Date();
            date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
            expires = "; expires=" + date.toGMTString();
        } else {
            expires = '';
        }
        host = location.host;
        document.cookie = name + "=" + value + expires + "; path=/";
    },
    get: function (name) {
        var nameEQ = name + "=";
        var ca = document.cookie.split(';');
        for (var i = 0; i < ca.length; i++) {
            var c = ca[i];
            while (c.charAt(0) == ' ') {
                c = c.substring(1, c.length);
            }

            if (c.indexOf(nameEQ) == 0)
                return c.substring(nameEQ.length, c.length);
        }
        return null;
    },
    erase: function (name) {
        Cookie.set(name, '', -1);
    }
};

$(document).ready(function() {

    // Detect ios 11_x_x affected
    // NEED TO BE UPDATED if new versions are affected
    var ua = navigator.userAgent,
    iOS = /iPad|iPhone|iPod/.test(ua),
    iOS11 = /OS 11_0|OS 11_1|OS 11_2/.test(ua);

    // ios 11 bug caret position
    if ( iOS && iOS11 ) {

        // Add CSS class to body
        $("body").addClass("iosBugFixCaret");

    }


    var isotopeContainer = $('.isotopeContainer');
    $(window).on('load', function(){
        isotopeContainer.isotope({
            itemSelector: '.isotopeSelector'
        });
        $(document).on( 'click', '.isotopeFilters a', function(e) {
            e.preventDefault();
            $('.isotopeFilters').find('.active').removeClass('active');
            $(this).parent().addClass('active');
            var filterValue = $(this).attr('data-filter');
            isotopeContainer.isotope({ filter: filterValue });
           
        });
        $(".fancybox-pop").fancybox({
			maxWidth	: 900,
			maxHeight	: 700,
			fitToView	: true,
			width		: '80%',
			height		: '80%',
			autoSize	: false,
			closeClick	: false,
			openEffect	: 'elastic',
			closeEffect	: 'none'
		});
    });

});
