<?php
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
class Answers extends MY_Front_Controller{
    public function __construct(){
        parent::__construct();
        $this->load->model('AnswersModel', 'answersModel', true);
    }
    public function index(){
        
    }
    public function uploadAnswerImage(){
        $arr         = array(
            'url' => null
        );
        $user_id     = $this->session->userdata('user_id');
        $url         = $_SERVER['REQUEST_URI'];
        $parts       = explode('/', $url);
        $actual_link = $_SERVER['SERVER_NAME'];
        for($i = 0; $i < count($parts) - 1; $i++){
            $actual_link .= $parts[$i] . "/";
        }
        $target_dir = SITE_ROOT . "skin/images/answerImages/" . $user_id . "/";
        if(!is_dir($target_dir)){
            mkdir($target_dir);
        }
        $imgName     = uniqid() . basename($_FILES["file"]["name"]);
        $target_file = $target_dir . $imgName;

        if(move_uploaded_file($_FILES["file"]["tmp_name"], $target_file)){
            $rs  = SITE_URL . "skin/images/answerImages/" . $user_id . "/" . $imgName;
            $arr = array(
                'url' => $rs
            );
        }
        echo json_encode($arr);
    }
    public function saveAnswer(){
        $user_sess_id = $this->session->userdata('user_id');
        if(empty($user_sess_id)){
            $message = array('type' => 'login');
            echo json_encode($message);
            return false;
        }
        $is_anonymous   = 0;
        $anonymousCheck = $this->input->post('anonymous');
        if($anonymousCheck == 'on'){
            $is_anonymous = 1;
        }
        $question_id = decrypt($this->input->post('q_data'));
        $insData     = array(
            'answer_id'     => $this->input->post('answerId'),
            'user_id'       => $this->session->userdata('user_id'),
            'question_id'   => $question_id,
            'answer'        => $this->input->post('userAnswer'),
            'approved'      => 'n',
            'creation_date' => date("Y-m-d H:i:s"),
            'updation_date' => date("Y-m-d H:i:s"),
            'is_anonymous'  => $is_anonymous
        );
        $message     = $this->answersModel->addUpdateAnswer($insData);
        if($message['type'] == 'error'){
            echo json_encode($message);
            exit();
        }
        echo json_encode($message);
        setSessionMsg($message['type'], $message['message']);
    }
    public function viewAnswer() {
        $answerData = $this->answersModel->getAnswers($question_id = '', $answer_id);
        $data         = array(
            'view'       => 'viewAnswer',
            'allEvents'  => $this->allEvents,
            'allPages'   => $this->allPages,
            'menu'       => $this->menu,
            'rightPanel' => $this->rightPanel,
        );
        $this->load->view('template', $data);
    }
}
?>

