<?php
defined('BASEPATH') OR exit('No direct script access allowed');
class Approval extends MY_Controller{
    public function __construct(){
        parent::__construct(16);
        $this->load->model('admin/ApprovalModel', 'approvalModel', true);
    }
    public function index(){
        $user_sess_id = $this->session->userdata('user_id');
        if(empty($user_sess_id)){
            redirect(SITE_URL_ADMIN);
        }
        $data = array(
            'subModules' => $this->approvalModel->getAllSubModules(),
        );
        $this->load->view('admin/common/header');
        $this->load->view('admin/approval', $data);
        $this->load->view('admin/common/footer');
    }
    public function toggleModuleApproval(){
        $subModuleId   = decrypt($this->input->post('subModuleId'));
        $message = $this->approvalModel->updateModuleApproval($subModuleId);
        if($message['type'] == 'success') {
            setSessionMsg($message['type'], $message['message']);
        }
        echo json_encode($message);
        
    }
}
?>
