<?php

class Permissions extends MY_Controller{
    public $permissionModel;
    public function __construct(){
        parent::__construct(4);
        $this->load->model('admin/PermissionModel','permissionModel',true);
        $this->load->model('admin/GroupModel','groupModel',true);
    }
    public function index(){
        $edit = false;
        $groupPermissions = array();
        $permissions = array();
        $groupAssigned = decrypt(post('groupAssigned'));
        if(!empty($groupAssigned)){
            $a = array(
                'group_id'      => $groupAssigned,
                'permission_id' => '',
            );
            $groupPermissions = $this->permissionModel->permissionsByGroup($a);
        }
        $token = decrypt(get('token'));
        if(!empty($token)){
            $a_token = explode('~',$token);           
            $groupAssigned = @$a_token[1];
            $permission_id = @$a_token[0];
        }
        if(!empty($permission_id)){
            $a = array(
                'group_id'      => '',
                'permission_id' => $permission_id,
            );
            $a1 = array(
                'group_id'      => $groupAssigned,
                'permission_id' => '',
            );
            $permissions = $this->permissionModel->permissionsByGroup($a);
            $groupPermissions = $this->permissionModel->permissionsByGroup($a1);
            $edit = true;
        }
        $allGroups = $this->groupModel->getGroups();
        $data = array(
            'allGroups'        => $allGroups,
            'groupAssigned'    => $groupAssigned,
            'permissions'      => $permissions,
            'groupPermissions' => $groupPermissions,
            'edit'             => $edit
        );
        $this->load->view('admin/common/header');
        $this->load->view('admin/addPermissions',$data);
        $this->load->view('admin/common/footer');
    }
    public function updPermissions(){
        $addRight = post('addRight') == "true" ? 'y' : 'n';
        $deleteRight = post('deleteRight') == "true" ? 'y' : 'n';
        $editRight = post('editRight') == "true" ? 'y' : 'n';
        $viewRight = post('viewRight') == "true" ? 'y' : 'n';
        $permission_id = decrypt(post('permissionId'));
        $group_id = decrypt(post('group_id'));
        $updPermData = array(
            'add_rights'    => $addRight,
            'delete_rights' => $deleteRight,
            'edit_rights'   => $editRight,
            'view_rights'   => $viewRight,
            'permission_id' => $permission_id,
            'group_id'      => $group_id,
        );
        $message = $this->permissionModel->updatePermissions($updPermData);
        setSessionMsg($message['type'],$message['message']);
        echo json_encode($message);
    }
    public function getPermissions(){
        $groupId = post('groupId');
        $getAllPermissions = $this->permissionModel->getAllPermissions(array('group_id' => $groupId));
        $this->index();
        echo json_encode($getAllPermissions);
    }
}
?>