<?php
/*
 * Project Name:mobile-talent
 * Author: QAsource
 * Dated : Aug 1, 2018
 */
defined('BASEPATH') OR exit('No direct script access allowed');
$_ENV['METATAGS'] = array(
    'home'                         => array(
        'TITLE'       => "Mobile Talent Acquisition Software for Recruiting Teams Around the Globe",
        'DESCRIPTION' => "Today's candidates are mobile. With mobile recruiting software from Mobile Talent, you can hire faster and more efficiently. Our web based talent acquisition software helps businesses and recruitment agencies hire smarter.",
        'KEYWORDS'    => "",
    ),
    'targeted-media-boosts'        => array(
        'TITLE'       => "Attract more job applicants with Mobile Talent's Targeted Media Boots",
        'DESCRIPTION' => "Promote your job openings for single or multiple locations using Mobile Talent's targeted media boots. Get faster candidate responses for local hiring and improve candidate relationship management. Boost your job campaign with our affordable options and hire the right people.",
        'KEYWORDS'    => "",
    ),
    'text-to-apply'                => array(
        'TITLE'       => "Mobile Talent's Short Code Recruiting Text Message Drives Higher Job Applicants",
        'DESCRIPTION' => "Getting job alters on mobile enables the job application process simple and faster. Checkout Mobile Talent's Text2Apply, a text message service for recruiters and businesses offers unique short codes for each job. Candidates can directly apply using these short message codes.",
        'KEYWORDS'    => "",
    ),
    'sms-communicator-tools'       => array(
        'TITLE'       => "Built-in SMS Messaging Service enables instant Candidate Communication",
        'DESCRIPTION' => "Mobile Talent's built-in SMS Communicator tool provides instant candidate communication. Leverage artificial intelligence with SMS chat bots that send instant text messages for job applications which saves time and improves results. Schedule a demo to know more about our SMS text messaging services.",
        'KEYWORDS'    => "",
    ),
    'api-integration'              => array(
        'TITLE'       => "Easy Applicant Tracking System Integration and Implementation – Mobile Talent API",
        'DESCRIPTION' => "Mobile Talent's API enables easy applicant tracking system integration and implementation to help recruiting agencies and businesses hire smarter and faster. Easily pre-qualify candidate leads and optimize your applicant tracking system for greater efficiency. Schedule a demo today!",
        'KEYWORDS'    => "",
    ),
    'mobile-job-microsite'         => array(
        'TITLE'       => "Online Job Micro Sites for mobile recruitment branding & employee engagement - Mobile Talent",
        'DESCRIPTION' => "Need recruitment branding ideas to optimize your company's recruiting program? Check out Mobile Talent for efficient employee engagement apps and employer branding tools to help you build a cutting edge mobile recruiting strategy. We specialize in providing customized job micro sites based on job requirements to businesses and recruitment agencies looking to make better, faster hiring decisions.",
        'KEYWORDS'    => "",
    ),
    'candidate-lead-qualification' => array(
        'TITLE'       => "Customized recruitment questionnaire for candidates for smart, effective recruiting - Mobile Talent",
        'DESCRIPTION' => "Mobile Talent streamlines recruiting and employment eligibility with a mobile-first, customized questionnaire for candidates. Our automated lead scoring helps prequalify and prioritize top candidates to help you recruit faster and more efficiently. Request a Demo today!",
        'KEYWORDS'    => "",
    ),
    'about-us'                     => array(
        'TITLE'       => "All about your Mobile recruiting solution – Mobile Talent",
        'DESCRIPTION' => "Mobile Talent is all about providing a top notch mobile recruiting solution to handle whole recruitment process at one place from initial contact to interview scheduling to automated candidate scoring. Request a demo for more details.",
        'KEYWORDS'    => "",
    ),
    'partner-program'              => array(
        'TITLE'       => "ATS integration & mobile recruiting systems for Recruitment Agencies - Mobile Talent",
        'DESCRIPTION' => "ATS companies, Recruitment agencies and recruitment process outsourcing (RPO) organizations partner with Mobile Talent for better, faster hiring. See it in action and request a demo!",
        'KEYWORDS'    => "",
    ),
    'our-team'                     => array(
        'TITLE'       => "Mobile Talent Team - Jewels who gave shape to Mobile Recruitment idea",
        'DESCRIPTION' => "Mobile Talent Team - Jewels who gave shape to Mobile Recruitment idea",
        'KEYWORDS'    => "",
    ),
    'sitemap'                      => array(
        'TITLE'       => "Mobile Talent Sitemap : Your Complete Mobile Recruitment Solution",
        'DESCRIPTION' => "Our Mobile Talent sitemap helps you to find product info with ease. Request a demo to learn more about each product and its benefits to your recruiting program.",
        'KEYWORDS'    => "",
    ),
    'privacy'                      => array(
        'TITLE'       => "Mobile Talent Help : Mobile Recruitment System Privacy Policy",
        'DESCRIPTION' => "Mobile Talent privacy policy for our mobile recruitment system website privacy policy - We want our customers to feel confident in the security and privacy of candidate data and communication.",
        'KEYWORDS'    => "",
    ),
);
function meta_info($key){
    return $_ENV['METATAGS'][$key];
}
