<?php
class TestimonialModel extends CI_Model {
    public function __construct(){
        parent::__construct();
    }
    public function insertTestimonial($insData) {
        $this->db->insert('charity_testimonials', $insData);
        return $this->db->insert_id();
    }
    public function insertUserPhoto($testimonial_id, $insData) {
        $this->db->update('charity_testimonials', $insData, array('testimonial_id' => $testimonial_id));
        return $this->db->affected_rows();
    }
    public function getAllTestimonials() {
        $testimonials = array();
        $query = "SELECT concat_ws(' ', first_name, last_name) as name, photo, testimonial from charity_testimonials WHERE approved='y'";
        $result = $this->db->query($query);
        if($result->num_rows() > 0) {
            foreach($result->result() as $rows) {
                $testimonials[] = $rows;
            }
            return $testimonials;
        }
        return $testimonials;
    }
}
?>