<?php
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
class ApprovalModel extends CI_Model{
    public function __construct(){
        parent::__construct();
    }
    public function getAllSubModules(){
        $subModuleData = array();
        $this->db->select('a.sub_module_id, a.approval_status, b.sub_module_name as name')
            ->from('charity_sub_module_approvals as a')
            ->join('charity_sub_modules as b', 'a.sub_module_id=b.sub_module_id', 'inner');
        $res           = $this->db->get();
        if($res->num_rows() > 0){
            foreach($res->result() as $row){
                $subModuleData[] = $row;
            }
            return $subModuleData;
        }
        return $subModuleData;
    }
    public function getSubModuleById($sub_module_id){
        $this->db->select('sub_module_id, approval_status');
        $this->db->where('sub_module_id', $sub_module_id);
        $res = $this->db->get('charity_sub_module_approvals');
        if($res->num_rows() > 0){
            return $res->first_row();
        }
        return array();
    }
    public function updateModuleApproval($sub_module_id){
        $updData       = array(
            'updation_date'   => date("Y-m-d H:i:s"),
            'updated_by'      => $this->session->userdata('user_id')
        );
        $subModuleData = $this->approvalModel->getSubModuleById($sub_module_id);
        if(!empty($subModuleData)){
            if($subModuleData->approval_status == 'n'){
                $updData['approval_status'] = 'y';
                $this->db->update(DB_PREFIX . 'sub_module_approvals', $updData, array('sub_module_id' => $sub_module_id));
                return array('type' => 'success', 'message' => 'Approval Enabled.');
            }else{
                $updData['approval_status'] = 'n';
                $this->db->update(DB_PREFIX . 'sub_module_approvals', $updData, array('sub_module_id' => $sub_module_id));
                return array('type' => 'success', 'message' => 'Approval Disabled.');
            }
        } else {
            return array('type' => 'invalid_id');
        }
    }
}
?>