<?php
if(!defined('BASEPATH'))
    exit('No direct script access allowed');
class DashboardModel extends CI_Model{
    public function __construct(){
        parent::__construct();
    }
    public function getUserCount(){
        $this->db->select('user_id');
        $this->db->where('user_type', 'user');
        $res = $this->db->get(DB_PREFIX . 'users');
        return $res->num_rows();
    }
    public function getBlogsCount(){
        $this->db->select('blog_id');
        $res = $this->db->get(DB_PREFIX . 'blogs');
        return $res->num_rows();
    }
    public function getCommentsCount(){
        $this->db->select('comment_id');
        $res = $this->db->get(DB_PREFIX . 'blog_comments');
        return $res->num_rows();
    }
    public function getVotesCount(){
        $this->db->select('blog_vote_id');
        $res = $this->db->get(DB_PREFIX . 'blog_votes');
        return $res->num_rows();
    }
}
?>