<?php
if(!defined('BASEPATH'))
    exit('No direct script access allowed');

class GalleryModel extends CI_Model {
    public function __construct(){
        parent::__construct();
    }
    public function getAlbums($condition = '') {
        $allAlbums = array();
        $where = '';
        if($condition != '') {
            $where = ' where album_id ="'.$condition.'"';
        }
        $sql = "SELECT * FROM charity_albums".$where;
        $result = $this->db->query($sql);
        if($result->num_rows() > 0){
            foreach($result->result() as $row){
                $allAlbums[] = $row;
            }
            return $allAlbums;
        }
        return array();
    }
    public function getAlbumImages($albumId) {
        $allImages = array();
        $sql = "SELECT * FROM charity_images where album_id =".$albumId;
        $result = $this->db->query($sql);
        if($result->num_rows() > 0){
            foreach($result->result() as $row){
                $allImages[] = $row;
            }
            return $allImages;
        }
        return array();
    }
    public function getImageById($imageId) {
        $sql = "SELECT * FROM charity_images WHERE image_id = ".$imageId;
        $result = $this->db->query($sql);
        if($result->num_rows() > 0){
            return $result->first_row();
        }
        return array();
    }
    public function insertUpdateAlbum($insData) {
        if($this->checkExistingAlbum($insData)) {
            return false;
        }
        $albumId = decrypt($insData['album_id']);
        unset($insData['album_id']);
        if(empty($albumId)){
            unset($insData['updation_date']);
            unset($insData['updated_by']);
            $this->db->insert('charity_albums',$insData);
//            echo $this->db->last_query();
            return $this->db->insert_id();
//            return array('type' => 'success','message' => 'Album Added successfully.');
        }
        else{
            unset($insData['creation_date']);
            unset($insData['created_by']);
            return $this->db->update('charity_albums',$insData,array('album_id' => $albumId));
//            echo $this->db->last_query();
//            return array('type' => 'success','message' => 'Album updated successfully.');
        }
    }
    public function checkExistingAlbum($data){
//        pre($data);
        $albumId = decrypt($data['album_id']);
        $albumName = $data['album_name'];
        $this->db->where("album_name = '".$albumName."'");
        if(!empty($albumId)){
            $this->db->where('album_id !=',$albumId);
        }
        $result = $this->db->get('charity_albums');
//        echo $this->db->last_query();
        if($result->num_rows() > 0){
            return true;
        }
        return false;
    }
    public function insertImage($insData) {
        $this->db->insert('charity_images',$insData);
        return $this->db->insert_id();
    }
    public function deleteImage($imgId) {
        $this->db->where('image_id',$imgId);
        $this->db->delete('charity_images');
//        echo $this->db->last_query();
    }
    public function removeAlbumById($albumId) {
        $this->db->where(array('album_id' => $albumId));
        $this->db->delete('charity_albums');
        return true;
    }
    public function removeImagesByAlbumId($albumId) {
        $this->db->where(array('album_id' => $albumId));
        $this->db->delete('charity_images');
        return true;
    }
}
?>