<script src="<?php echo SITE_URL; ?>js/admin/app/admin.events.js"></script>
<div class="content-wrapper">
    <?php
//    if(isset($this->session->userdata['message'])){
//        echo $message = $this->session->userdata['message'];
//    }
    ?>
    <section class="content-header">
        <h1><?php echo $text = (!empty($eventData)) ? 'Edit Event' : 'Add Event'; ?></h1>
    </section>

    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="box box-info">
                    <div class="box-header with-border">
                        <h3 class="box-title">Editor</h3>
                        <div class="box-tools pull-right">
                            <button type="button" class="btn btn-info" data-toggle="collapse" data-target="#addEvents">
                                Add Event
                            </button>
                        </div>
                    </div>
                    <form name="addEvents" id="addEvents" method="POST" enctype="multipart/form-data" class="collapse">
                        <div class="box-body">
                            <div class="col-md-6">
                                <!-- Hidden Field to get the value of id -->
                                <input type="hidden" name="eventId" id="eventId" value="<?php
                                if(!empty($eventData)){
                                    echo encrypt($eventData[0]->event_id);
                                }
                                ?>">
                                <div class="form-group">
                                    <label class="mandatory">Event Title</label>
                                    <input type="text" class="form-control" name="eventTitle" id="eventTitle" value="<?php
                                    if(!empty($eventData)){
                                        echo htmlentities($eventData[0]->title);
                                    }
                                    ?>" data-validation-engine="validate[required]" data-prompt-position="topLeft">
                                </div>
                                <div class="form-group">
                                    <label>Event Description</label>
                                    <textarea class="form-control" name="eventDescription" id="eventDescription" data-validation-engine="validate[required]" data-prompt-position="topLeft"><?php
                                        if(!empty($eventData)){
                                            echo htmlentities($eventData[0]->description);
                                        }
                                        ?></textarea>
                                </div>
                                <div class="form-group">
                                    <label class="mandatory">SEO Titles</label>
                                    <textarea class="form-control" name="seoTitle" id="seoTitle" data-validation-engine="validate[required]" data-prompt-position="topLeft"><?php
                                        if(!empty($eventData)){
                                            echo $eventData[0]->seo_title;
                                        }
                                        ?></textarea>
                                </div>
                                <div class="form-group">
                                    <label class="mandatory">SEO Description</label>
                                    <textarea class="form-control" name="seoDesc" id="seoDesc" data-validation-engine="validate[required]" data-prompt-position="topLeft"><?php
                                        if(!empty($eventData)){
                                            echo $eventData[0]->seo_desc;
                                        }
                                        ?></textarea>
                                </div>
                                <div class="form-group">
                                    <label>SEO Keywords</label>
                                    <textarea class="form-control" name="seoKeywords" id="seoKeywords"><?php
                                        if(!empty($eventData)){
                                            echo $eventData[0]->seo_keywords;
                                        }
                                        ?></textarea>
                                </div>
                                <div id="appendMoreDateFields">
                                    <?php
                                    if(!empty($eventData)){
                                        foreach($eventData as $key => $value){
                                            ?>
                                            <div class="row myDateTimeDiv">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label class="mandatory">Event Date </label>
                                                        <div class="input-group date">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-calendar"></i>
                                                            </div>
                                                            <input type="text" class="form-control pull-right date1" name="eventUpdDate[]" data-validation-engine="validate[required]" data-prompt-position="topLeft" value="<?php echo displayFormDateUS($value->event_date); ?>">
                                                            <input type="hidden" name="eventDateHD[]" value="<?php echo encrypt($value->date_id); ?>">
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="col-md-6">
                                                    <div class="row">
                                                        <div class="col-md-5">
                                                            <div class="form-group">
                                                                <label class="mandatory">Event Time <em>(FROM)</em> </label>
                                                                <div class="input-group">
                                                                    <div class="input-group-addon">
                                                                        <i class="fa fa-clock-o"></i>
                                                                    </div>
                                                                    <input type="text" class="form-control pull-right time1" name="eventUpdFromTime[]" data-validation-engine="validate[required]" data-prompt-position="topLeft" value="<?php echo timeFormat($value->event_from_time, 12) ?>">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-5">
                                                            <div class="form-group">
                                                                <label class="mandatory">Event Time <em>(TO)</em> </label>
                                                                <div class="input-group">
                                                                    <div class="input-group-addon">
                                                                        <i class="fa fa-clock-o"></i>
                                                                    </div>
                                                                    <input type="text" class="form-control pull-right time2" name="eventUpdToTime[]" data-validation-engine="validate[required]" data-prompt-position="topLeft" value="<?php echo timeFormat($value->event_to_time, 12) ?>">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-2" style="padding: 25px;">
                                                            <a href="javascript:void(0)" id="removeDate" date_id="<?php echo $value->date_id; ?>"><span class="fa fa-minus-circle"></span></a>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <?php
                                        }
                                    }
                                    ?>
                                    <div class="row myDateTimeDiv">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="mandatory">Event Date </label>
                                                <div class="input-group date">
                                                    <div class="input-group-addon">
                                                        <i class="fa fa-calendar"></i>
                                                    </div>
                                                    <input type="text" class="form-control pull-right date1" name="eventDate[]" id="" data-validation-engine="validate[required]" data-prompt-position="topLeft" value="">
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-md-6">
                                            <div class="row">
                                                <div class="col-md-5">
                                                    <div class="form-group">
                                                        <label class="mandatory">Event Time <em>(FROM)</em> </label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-clock-o"></i>
                                                            </div>
                                                            <input type="text" class="form-control pull-right time1" name="eventFromTime[]" id="eventFromTime1" data-validation-engine="validate[required]" data-prompt-position="topLeft" value="">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-5">
                                                    <div class="form-group">
                                                        <label class="mandatory">Event Time <em>(TO)</em> </label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-clock-o"></i>
                                                            </div>
                                                            <input type="text" class="form-control pull-right time2" name="eventToTime[]" id="eventToTime1" data-validation-engine="validate[required]" data-prompt-position="topLeft" value="">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-2" style="padding: 25px;">
                                                    <a href="javascript:void(0)" id="removeDate" date_id=""><span class="fa fa-minus-circle"></span></a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6" id="addMoreDateFields">
                                        <a href="javascript:void(0)" id="addMoreDate"><span class="fa fa-plus-circle"></span> Add more Dates</a>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Event Venue</label>
                                    <textarea class="form-control" name="eventVenue"><?php
                                        if(!empty($eventData)){
                                            echo $eventData[0]->venue;
                                        }
                                        ?></textarea>
                                </div>
                                <div class="form-group">
                                    <label>Event Details</label>
                                    <textarea class="form-control" name="eventContent" id="eventContent"><?php
                                        if(!empty($eventData)){
                                            echo htmlentities($eventData[0]->content);
                                        }
                                        ?></textarea>
                                </div>
                                <div class="form-group">
                                    <label class="mandatory">Event Image</label>
                                    <input type="file" name="eventImage" id="eventImage"/>
                                </div>
                                <div class="form-group" id="eventImagePreview">
                                    <?php if(!empty($eventData)){ ?>
                                        <img src="<?php echo SITE_URL; ?>skin/images/eventImages/<?php echo $eventData[0]->event_image; ?>" height="200px" width="400px">
                                    <?php } ?>
                                </div>
                                <div class="form-group">
                                    <input type="checkbox" name="publish"
                                    <?php
                                    if(!empty($eventData) && $eventData[0]->publish == 'y'){
                                        echo 'checked';
                                    }
                                    ?>
                                           >
                                    <label>Publish this event</label>
                                </div>
                            </div>
                        </div>
                        <div class="box-footer">
                            <div class="form-group">
                                <?php
                                $subGrp = $this->a_sub_group_id[0];
                                $access = $this->a_access[$subGrp];
                                if($access->add_rights == 'y'){
                                    ?>
                                    <input type="submit" class="btn btn-primary" id="addEventBtn" value="<?php echo $submit = (!empty(get('token'))) ? 'Update' : 'Add'; ?>">
                                    <?php
                                }else{
                                    if($edit){
                                        if($access->edit_rights == 'y'){
                                            ?>
                                            <input type="submit" class="btn btn-primary" id="addEventBtn" value="<?php echo $submit = (!empty(get('token'))) ? 'Update' : 'Add'; ?>">
                                            <?php
                                        }
                                    }
                                }
                                ?>
                                <input type="button" class="btn btn-primary" value="Cancel" onclick="redirect('admin/events');">
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <div class="col-md-6">

            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="box box-warning">
                    <div class="box-header with-border">
                        <h3 class="box-title">Events</h3>
                    </div>
                    <div class="box body no-padding">
                        <table class="table table-condensed" id="eventsTable">
                            <thead>
                                <tr>
                                    <th> # </th>
                                    <th> Event Title </th>
                                    <th> Event Description </th>
                                    <th> Action </th>                
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                $i = 1;
                                $j = 0;
                                foreach($allEvents as $key => $data){
                                    ?>
                                    <tr>
                                        <td><?php echo $i; ?></td>
                                        <td><?php echo ucfirst($data->title); ?></td>
                                        <td><?php echo $data->description; ?></td>
                                        <td>
                                            <?php if($access->edit_rights == 'y'){ ?>
                                                <a href="<?php echo SITE_URL; ?>admin/events/index?token=<?php echo encrypt($data->event_id); ?>" class="btn btn-secondary">Edit</a> 
                                            <?php } ?> |
                                            <?php if($access->delete_rights == 'y'){ ?>
                                                <input type="submit" name="event_del_btn" id="event_del_btn" class="btn btn-secondary" value="Delete" token="<?php echo encrypt($data->event_id); ?>">
                                            <?php } ?>
                                        </td>
                                    </tr>  
                                    <?php
                                    $i++;
                                    $j++;
                                }
                                ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
<script id="dateFieldsTemplate" type="text/html">
    <div class="row myDateTimeDiv">
        <div class="col-md-6">
            <div class="form-group">
                <label class="mandatory">Event Date </label>
                <div class="input-group date">
                    <div class="input-group-addon">
                        <i class="fa fa-calendar"></i>
                    </div>
                    <input type="text" class="form-control pull-right date1" name="eventDate[]" data-validation-engine="validate[required]" data-prompt-position="topLeft">
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <div class="row">
                <div class="col-md-5">
                    <div class="form-group">
                        <label class="mandatory">Event Time <em>(FROM)</em> </label>
                        <div class="input-group">
                            <div class="input-group-addon">
                                <i class="fa fa-clock-o"></i>
                            </div>
                            <input type="text" class="form-control pull-right time1" name="eventFromTime[]" data-validation-engine="validate[required]" data-prompt-position="topLeft">
                        </div>
                    </div>
                </div>
                <div class="col-md-5">
                    <div class="form-group">
                        <label class="mandatory">Event Time <em>(TO)</em> </label>
                        <div class="input-group">
                            <div class="input-group-addon">
                                <i class="fa fa-clock-o"></i>
                            </div>
                            <input type="text" class="form-control pull-right time2" name="eventToTime[]" data-validation-engine="validate[required]" data-prompt-position="topLeft">
                        </div>
                    </div>
                </div>
                <div class="col-md-2" style="padding: 25px;">
                    <a href="javascript:void(0)" id="removeDate" date_id=""><span class="fa fa-minus-circle"></span></a>
                </div>
            </div>
        </div>
    </div>
</script>
<script>
    COUNTER = $('.myDateTimeDiv').length;
</script>