<script src="<?php echo SITE_URL; ?>js/admin/app/admin.groups.js"></script>
<div class="content-wrapper">
    <section class="content-header">
        <h1><?php echo $text = (!empty($groupData->group_id)) ? 'Edit Group' : 'Add Group' ?></h1>
    </section>
    <section class="content">
        <div class="row">
            <div class="col-md-6">
                <div class="box box-info">
                    <div class="box-header with-border">
                        <h3 class="box-title">Group Form</h3>
                    </div>
                    <div class="box-body">
                        <form name="addGroup" id="addGroup" method="POST">
                            <input type="hidden" name="group_id" id="group_id" value="<?php echo encrypt($groupData->group_id); ?>">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="mandatory">Group Name</label>
                                        <input type="text" class="form-control" name="groupName" id="groupName" value="<?php echo $groupData->group_name; ?>" placeholder="Group Name" data-validation-engine="validate[required]" data-prompt-position="topLeft">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="mandatory">Active</label>
                                        <select name="isActive" class="form-control" data-validation-engine="validate[required]" data-prompt-position="topLeft">
                                            <option value="">------ Select ------</option>
                                            <option value='y' <?php echo $groupData->active == 'y' ? 'selected' : ''; ?> >Yes</option>
                                            <option value='n' <?php echo $groupData->active == 'n' ? 'selected' : ''; ?> >No</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="box-footer">
                                <div class="form-group">                                    
                                    <?php
                                    $subGrp = $this->a_sub_group_id[0];
                                    $access = $this->a_access[$subGrp];
                                    if($access->add_rights == 'y'){
                                        ?>
                                        <input type="submit" class="btn btn-primary" id="addGroupBtn" value="<?php echo $groupData->submit; ?>">
                                        <?php
                                    }else{
                                        if($edit){
                                            if($access->edit_rights == 'y'){
                                                ?>
                                                <input type="submit" class="btn btn-primary" id="addGroupBtn" value="<?php echo $groupData->submit; ?>">
                                                <?php
                                            }
                                        }
                                    }
                                    ?>
                                    <input type="button" class="btn btn-primary" value="Cancel" onclick="javascript:location.reload();">
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="box box-warning">
                    <div class="box-header with-border">
                        <h3 class="box-title">Groups</h3>
                    </div>
                    <div class="box body no-padding">
                        <table class="table table-condensed" id="groupTable">
                            <thead>
                                <tr>
                                    <th id="filterGroupId"> # </th>
                                    <th id="filterGroupName"> Group Name </th>
                                    <th id="filterGroupActive"> Active </th>
                                    <th id="filterGroupAction"> Action </th>                
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
    </section>
</div>