<script src="<?php echo SITE_URL; ?>js/admin/app/admin.categories.js"></script>
<div class="content-wrapper">
    <section class="content-header">
        <h1>Questions Category</h1>
    </section>
    <section class="content">
        <div class="row">
            <div class="col-md-4">
                <div class="col-md-12">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                            <h3 class="box-title">Add Category</h3>
                        </div>                    
                        <div class="box-body">
                            <form name="addCategory" id="addCategory" method="POST">
                                <input type="hidden" name="categoryId" id="categoryId" value="<?php echo encrypt($form->category_id); ?>">
                                <div class="form-group">
                                    <label>Category Name</label>
                                    <input type="text" name="categoryName" class="form-control" value="<?php echo $form->category_name; ?>" data-validation-engine="validate[required]" data-prompt-position="topLeft">
                                </div>
                                <div class="form-group">
                                    <label>Select Parent Category</label>
                                    <select name="categoryParent" class="form-control">
                                        <option value="">--- Select ---</option>
                                        <?php
                                        foreach($categories as $k => $category){
                                            if($category->category_id != $form->category_id){
                                                ?>
                                                <option value="<?php echo $category->category_id; ?>" <?php echo ($form->parent == $category->category_id) ? 'selected' : ''; ?> ><?php echo $category->category_name; ?></option>
                                                <?php
                                            }
                                        }
                                        ?>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <input type="checkbox" name="approval" id="approval">
                                    <label>Approve this category</label>
                                </div>
                                <div class="box-footer">
                                    <div class="form-group">
                                        <?php
                                        $subGrp = $this->a_sub_group_id[0];
                                        $access = $this->a_access[$subGrp];
                                        if($access->add_rights == 'y'){
//                                
                                            ?>
                                            <input class="btn btn-primary" type="submit" name="addCatBtn" id="addCatBtn" value="<?php echo $form->submit; ?>" >
                                            <?php
                                        }else{
                                            if($edit){
                                                if($access->edit_rights == 'y'){
                                                    ?>
                                                    <input class="btn btn-primary" type="submit" name="addCatBtn" id="addCatBtn" value="<?php echo $form->submit; ?>" >
                                                    <?php
                                                }
                                            }
                                        }
//                            
                                        ?>  
                                        <input type="button" class="btn btn-primary" value="Cancel" onclick="javascript:location.reload();">
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
                <div class="col-md-12">
                    <div class="box box-warning">
                        <div class="box-header with-border">
                            <h3 class="box-title">Category Structure</h3>
                        </div>
                        <div class="box body no-padding">
                            <div class="row">
                                <div class="col-md-6">
                                    <?php
                                    if(!empty($catStructure)){
                                        echo $catStructure;
                                    }else{
                                        echo "No Categorie(s) Found";
                                    }
                                    ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-8">
                <div class="box box-warning">
                    <div class="box-header with-border">
                        <h3 class="box-title">Categories</h3>
                    </div>
                    <div class="box body no-padding">
                        <table class="table table-condensed" id="menuTable">
                            <thead>
                                <tr>
                                    <th>#</th>                                    
                                    <th>Category Title</th>
                                    <th>Approval Status</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>

                                <?php
                                $i = 1;
                                foreach($categories as $k => $category){
                                    ?>
                                    <tr>
                                        <td><?php echo $i; ?></td>
                                        <td><?php echo ucwords($category->category_name); ?></td>
                                        <td><?php if($category->approved == 'y') {?> 
                                            <a href="javascript:void(0)" class="approveCat" c_data="<?php echo $category->category_id; ?>"><span class="label label-success">Approved</span></a>
                                            <?php } else {?>
                                            <a href="javascript:void(0)" class="approveCat" c_data="<?php echo $category->category_id; ?>"><span class="label label-danger">Not Approved</span></a>
                                            <?php } ?>
                                        </td>
                                        <td>
                                            <?php if($access->edit_rights == 'y'){ ?>
                                                <a href="<?php echo SITE_URL; ?>admin/categories/index?token=<?php echo encrypt($category->category_id); ?>" class="btn btn-secondary">Edit</a> |
                                            <?php } ?>
                                            <?php if($access->delete_rights == 'y'){ ?>
                                                <input type="submit" name="catDelBtn" id="catDelBtn" class="btn btn-secondary" value="Delete" token="<?php echo encrypt($category->category_id); ?>">
                                            <?php } ?>
                                        </td>
                                    </tr>
                                    <?php
                                    $i++;
                                }
                                ?>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>