<script src="<?php echo SITE_URL; ?>js/admin/app/admin.causes.js"></script>
<div class="content-wrapper">
    <section class="content-header">
        <h1><?php echo $cause_text; ?></h1>
    </section>
    <section class="content">
        <div class="row">
            <div class="col-md-8">
                <?php
//                echo $this->session->flashdata('message');
                ?>
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title">Form</h3>
                    </div>                    
                    <div class="box-body">
                        <form role="form" name="addCause" id="addCause" enctype="multipart/form-data">
                            <input type="hidden" name="causeId" id="causeId" value="<?php echo encrypt($causeData->cause_id); ?>">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="mandatory">Cause Title(Heading):</label>
                                        <input class="form-control" type="text" id="causeTitle" name="causeTitle" value="<?php echo $causeData->title; ?>" data-validation-engine="validate[required]" data-prompt-position="topLeft">
                                    </div>
                                    <div class="form-group">
                                        <label class="mandatory">Cause Description:</label>
                                        <textarea class="form-control"id="causeDesc" name="causeDesc" value="" data-validation-engine="validate[required]" data-prompt-position="topLeft"><?php echo $causeData->description; ?></textarea>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="mandatory">Cause Image :</label>
                                        <input type="file" id="causeImage" name="causeImage" value="" data-validation-engine="validate[required]" data-prompt-position="topLeft">
                                        <input type="hidden" name="currentCauseImage" id="currentCauseImage" value="<?php echo $causeData->image; ?>">
                                        <div class="box-body" id="viewCauseImage"></div>
                                    </div>
                                    <div class="form-group">
                                        <input type="checkbox" name="publish"
                                        <?php
                                        if(!empty($causeData) && $causeData->publish == 'y'){
                                            echo 'checked';
                                        }
                                        ?>>
                                        <label>Publish this cause</label>
                                    </div>
                                </div>
                            </div>
                            <div class="box-footer">
                                <div class="form-group">
                                    <?php
                                    $subGrp = $this->a_sub_group_id[0];
                                    $access = $this->a_access[$subGrp];
                                    if($access->add_rights == 'y'){
//                                        
                                        ?>
                                        <input class="btn btn-primary" type="submit" name="add_cause_btn" id="add_cause_btn" value="<?php echo $causeData->submit; ?>" >
                                        <?php
                                    }else{
                                        if($edit){
                                            if($access->edit_rights == 'y'){
//                                                
                                                ?>
                                                <input class="btn btn-primary" type="submit" name="add_cause_btn" id="add_cause_btn" value="<?php echo $causeData->submit; ?>" >
                                                <?php
                                            }
                                        }
                                    }
//                                    
                                    ?>
                                    <input type="button" class="btn btn-primary" value="Cancel" onclick="javascript:location.reload();">
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <div class="col-md-4">
                <div class="box box-warning">
                    <div class="box-header with-border">
                        <h3 class="box-title">Causes</h3>
                    </div>
                    <div class="box body no-padding">
                        <table class="table table-condensed" id="causesTable">
                            <thead>
                                <tr>
                                    <th>#</th>                                    
                                    <th>Cause Title</th>
                                    <th>Publish</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                $i = 1;
                                foreach($allCauses as $key => $cause){
                                ?>
                                    <tr>
                                        <td><?php echo $i; ?></td>
                                        <td><?php echo ucwords($cause->title); ?></td>
                                        <td>
                                            <input type="checkbox" name="publishCheck" id="publishCheck" <?php echo $publish = ($cause->publish == 'y') ? 'checked' : ''; ?> id_attr="<?php echo encrypt($cause->cause_id); ?>">
                                        </td>
                                        <td>
                                <?php if($access->edit_rights == 'y'){ ?>
                                                                                                                    <a href="<?php echo SITE_URL; ?>admin/causes?token=<?php echo encrypt($cause->cause_id); ?>" class="btn btn-secondary">Edit</a>
                                <?php } ?> |
                                <?php if($access->delete_rights == 'y'){ ?>
                                                                                                                    <input type="submit" name="del_cause_btn" id="del_cause_btn" class="btn btn-secondary" value="Delete" id_attr="<?php echo encrypt($cause->cause_id); ?>">
                                <?php } ?>
                                        </td>
                                    </tr>
                                <?php
                                    $i++;
                                }
                                ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-8">
                <?php
                $token = get('token');
                if(!empty($token)){
                    ?>
                    <div class="box box-primary">
                        <div class="box-header with-border">
                            <h3 class="box-title">Cause Image</h3>
                        </div>                    
                        <div class="box-body">
                            <div class="col-md-2 img-container">
                                <img class="myImgClass" id="" src="<?php echo SITE_URL; ?>skin/images/causes/<?php echo $causeData->image; ?>">
                                <a href="javascript:void(0)"><img class="myCrossImg" id="removeCauseImg" imgId="" src="<?php echo SITE_URL; ?>skin/admin/images/close.png"></a>
                            </div>
                        </div>
                    </div>
                <?php } ?>
            </div>
        </div>
    </section>
</div>