<style>
    .imageSizeExceeded{
        border: solid 3px red;
    }
</style>
<script src="<?php echo SITE_URL; ?>js/admin/app/admin.gallery.js"></script>
<div class="content-wrapper">
    <section class="content-header">
        <h1><?php echo $galleryText; ?></h1>
    </section>

    <section class="content">
        <div class="row">
            <div class="col-md-6">
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title">Album Form</h3>
                    </div>
                    <div class="box-body">
                        <form name="addAlbum" id="addAlbum" method="POST" action="" enctype="multipart/form-data" >
                            <input type="hidden" name="albumId" id="albumId" value="<?php echo encrypt($albumData->album_id); ?>" >
                            <div class="form-group">
                                <label class="mandatory">Album Name</label>
                                <input type="text" class="form-control" name="albumName" id="albumName" value="<?php echo $albumData->album_name; ?>" data-validation-engine="validate[required]" data-prompt-position="topLeft" />
                            </div>
                            <div class="form-group">
                                <label class="mandatory">Album Description</label>
                                <textarea name="albumDesc" id="albumDesc" class="form-control" data-validation-engine="validate[required]" data-prompt-position="topLeft"><?php echo $albumData->album_desc; ?></textarea>
                            </div>
                            <div class="form-group">
                                <input type="checkbox" name="publish"
                                <?php
                                if(!empty($albumData) && $albumData->publish == 'y'){
                                    echo 'checked';
                                }
                                ?> >
                                <label>Publish this album</label>
                            </div>
                            <div class="form-group">
                                <label>Select Images for the album</label>
                                <input class="form-control-file" type="file" id="albumImg" multiple="multiple" />
                            </div>
                            <div class="box-body" id="viewImages"></div>
                            <div class="box-footer">
                                <div class="form-group">
                                    <?php
                                    $subGrp = $this->a_sub_group_id[0];
                                    $access = $this->a_access[$subGrp];
                                    if($access->add_rights == 'y'){
                                        ?>
                                        <input class="btn btn-primary" type="submit" value="<?php echo $albumData->submit; ?>" id="addGalleryBtn" name="addGalleryBtn" />
                                        <?php
                                    }else{
                                        if($edit){
                                            if($access->edit_rights == 'y'){
                                                ?>
                                                <input class="btn btn-primary" type="submit" value="<?php echo $albumData->submit; ?>" id="addGalleryBtn" name="addGalleryBtn"/>
                                                <?php
                                            }
                                        }
                                    }
                                    ?>
                                    <input type="button" class="btn btn-primary" value="Cancel" onclick="javascript:location.reload();">
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title">Albums</h3>
                    </div>
                    <div class="box-body no-padding">
                        <table class="table table-sm" id="galleryTable">
                            <thead>
                                <tr>
                                    <th id="filterAlbumId">#</th>
                                    <th id="filterAlbumName">Album</th>
                                    <th id="filterDescription">Description</th>
                                    <th id="filterAlbumAction">Action</th>
                                </tr>
                            </thead>
                            <tbody>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <?php
            if(!empty($albumData->album_id)){
                ?>
                <div class="col-md-12">
                    <div class="box box-warning">
                        <div class="box-header with-border">
                            <h3 class="box-title">Images In The Album</h3>
                        </div>
                        <div class="box-body" id="viewAlbumImages">
                            <?php
                            if(!empty($albumImages)){
                                foreach($albumImages as $imageKey => $imageValue){
                                    ?>
                                    <div class="col-md-2 img-container">
                                        <img class="myImgClass" id="<?php echo $imageValue->image_id; ?>" src="<?php echo SITE_URL; ?>skin/images/gallery/<?php echo $imageValue->album_id; ?>/<?php echo $imageValue->image_name; ?>">
                                        <a href="javascript:void(0)">
                                            <img class="myCrossImg" id="removeImg" imgId="<?php echo $imageValue->image_id; ?>" src="<?php echo SITE_URL; ?>skin/admin/images/close.png">
                                        </a>
                                    </div>
                                    <?php
                                }
                            }else{
                                echo 'No Image(s) found.';
                            }
                            ?>
                        </div>
                    </div>
                </div>
                <?php
            }else{
                ?>
                <?php
            }
            ?>
        </div>
    </section>
</div>