<script type="text/javascript" src="<?php echo SITE_URL; ?>js/app/user.blogs.js"></script>
<script type="text/javascript">var SITE_URL = '<?php echo SITE_URL; ?>';</script>

<div class="single-page about-page">
    <div class="page-header" style="background:url(<?php echo SITE_URL; ?>skin/images/about-bg.jpg) no-repeat center;">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <h1>Blogs</h1>
                </div><!-- .col -->
            </div><!-- .row -->
        </div><!-- .container -->
    </div><!-- .page-header -->
    <div class="welcome-wrap">
        <div class="container">
            <div class="row">
                <div class="col-12 col-lg-12 order-2 order-lg-1">
                    <div class="welcome-content">
                        <?php
                        if(!empty($blogs)){
                            foreach($blogs as $k => $blog){
                                ?>
                                <div class="row">
                                    <div class="col-md-12">
                                        <h3><?php echo $blog->title; ?></h3>
                                        <div class="pull-right">
                                            <span class="fa fa-user"><?php echo "" . ucwords($blog->name) ?></span> &nbsp;&nbsp;
                                            <span class="fa fa-calendar"><?php echo $blog->creation_date . ""; ?></span>
                                        </div><br/>
                                        <?php
                                        $text     = $blog->content;
                                        $limit    = 100;
                                        $ellipsis = '...';
                                        $words    = preg_split("/[\n\r\t ]+/", $text, $limit + 1, PREG_SPLIT_NO_EMPTY | PREG_SPLIT_OFFSET_CAPTURE);
                                        if(count($words) > $limit){
                                            end($words); //ignore last element since it contains the rest of the string
                                            $last_word = prev($words);

                                            $text = substr($text, 0, $last_word[1] + strlen($last_word[0])) . $ellipsis;
                                        }
                                        ?>
                                        <p>
                                            <?php echo $text; ?>
                                        <div class="event-content-wrap entry-footer">
                                            <a href="<?php echo SITE_URL; ?>blogs/viewBlog?token=<?php echo $blog->blog_id; ?>">Read More</a>
                                        </div>
                                        </p>
                                    </div>
                                </div>
                                <?php
                                $upvote   = $downvote = 0;
                                if(!empty($votesCount[$blog->blog_id])){
                                    foreach($votesCount[$blog->blog_id] as $k => $vote){
                                        if(isset($vote->vote_type) && $vote->vote_type == 'upvote'){
                                            $upvote = $vote->votes_count;
                                        }
                                        if(isset($vote->vote_type) && $vote->vote_type == 'downvote'){
                                            $downvote = $vote->votes_count;
                                        }
                                    }
                                }
                                ?>
                                <div class="row">
                                    <div class="col-md-6">
                                        <span class="fa fa-angle-double-up">Up-Votes</span>&nbsp; <span class="upcount"><?php echo $upvote; ?></span> &nbsp;&nbsp;
                                    </div>
                                    <div class="col-md-6">
                                        <!--<a href="javascript:void(0)" class="voteBlog" vtype="downvote" bid="<?php echo encrypt($blog->blog_id); ?>"><span class="fa fa-angle-double-down"></span> Down-Vote</a> &nbsp; <span class="downcount"><?php echo $downvote; ?></span>-->
                                    </div>
                                </div>
                                <hr/>
                                <?php
                            }
                        }
                        ?>
                        <div>
                            <?php
                            if(!empty($blogs)){
                                echo $links;
                            }else{
                                echo "No blog(s) found.";
                            }
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>