<?php if(!empty($blogHomePage)){ ?>
    <div class="home-page-welcome" style="background:url(<?php echo SITE_URL; ?>skin/images/welcome-bg.jpg);">
        <div class="container">
            <div class="row">
                <div class="col-12 col-lg-6 order-2 order-lg-1">
                    <div class="welcome-content">
                        <p><?php echo $aboutUs->content; ?></p>
                    </div>
                </div><!-- .col -->
            </div><!-- .row -->
        </div><!-- .container -->
    </div><!-- .home-page-icon-boxes -->

    
<?php } ?>
<?php if(!empty($widgets)){ ?>
    <div class="home-page-icon-boxes">
        <div class="container">
            <div class="row">


                <?php
                foreach($widgets as $k => $widget){
                    ?>
                    <div class="col-12 col-md-6 col-lg-4 mt-4 mt-lg-0">
                        <div class="icon-box">
                            <figure class="d-flex justify-content-center">
                                <img src="<?php echo SITE_URL; ?>skin/images/widgets/<?php echo $widget->image; ?>" alt="<?php echo $widget->title; ?>">
                                <img src="<?php echo SITE_URL; ?>skin/images/widgets/<?php echo $widget->image; ?>" alt="<?php echo $widget->title; ?>">
                            </figure>

                            <header class="entry-header">
                                <h3 class="entry-title"><?php echo $widget->title ?></h3>
                            </header>

                            <div class="entry-content">
                                <p><?php echo $widget->description; ?></p>
                            </div>
                        </div>
                    </div>
                <?php } ?>


            </div>
        </div>
    </div>
<?php } ?>



    <div class="home-page-icon-boxes">
        <div class="container">
            <div class="row">
                <div class="col-12 col-md-6 col-lg-4 mt-4 mt-lg-0">
                    <div class="icon-box active">
                        <figure class="d-flex justify-content-center">
                            <img src="<?php echo SITE_URL; ?>skin/images/hands-gray.png" alt="">
                            <img src="<?php echo SITE_URL; ?>skin/images/hands-white.png" alt="">
                        </figure>

                        <header class="entry-header">
                            <h3 class="entry-title">MISSION FOOD</h3>
                        </header>

                        <div class="entry-content">
                            <p>We are doing langar sewa on weekly basis on needy areas. </p>
                        </div>
                    </div>
                </div>

                <div class="col-12 col-md-6 col-lg-4 mt-4 mt-lg-0">
                    <div class="icon-box">
                        <figure class="d-flex justify-content-center">
                            <img src="<?php echo SITE_URL; ?>skin/images/donation-gray.png" alt="">
                            <img src="<?php echo SITE_URL; ?>skin/images/donation-white.png" alt="">
                        </figure>

                        <header class="entry-header">
                            <h3 class="entry-title">MISSION EDUCATION</h3>
                        </header>

                        <div class="entry-content">
                            <p>We have starting educating needy children. Donating books to needy ones.</p>
                        </div>
                    </div>
                </div>

                <div class="col-12 col-md-6 col-lg-4 mt-4 mt-lg-0">
                    <div class="icon-box">
                        <figure class="d-flex justify-content-center">
                            <img src="<?php echo SITE_URL; ?>skin/images/charity-gray.png" alt="">
                            <img src="<?php echo SITE_URL; ?>skin/images/charity-white.png" alt="">
                        </figure>

                        <header class="entry-header">
                            <h3 class="entry-title">MISSION HEALTH</h3>
                        </header>

                        <div class="entry-content">
                            <p>We are providing medicine and medical care to the needy ones. </p>
                        </div>
                    </div>
                </div>
            </div>
            <!-- .row -->
        </div>
        <!-- .container -->
    </div>
    <!-- .home-page-icon-boxes -->

<div class="home-page-welcome" style="background:url(<?php echo SITE_URL; ?>skin/images/welcome-bg.jpg);">
    <div class="container">
        <div class="row">
            <div class="col-12 col-lg-6 order-2 order-lg-1">
                <div class="welcome-content">
                    <p><?php echo $aboutUs->content; ?></p>
                </div>
                
            </div><!-- .col -->
            <div class="col-12 col-lg-6 mt-4 order-1 order-lg-2">
                    <img src="<?php echo SITE_URL; ?>skin/images/causes/1.jpg" alt="welcome">
                </div>
        </div><!-- .row -->
    </div><!-- .container -->
</div><!-- .home-page-icon-boxes -->

<div class="home-page-events">
    <div class="container">
        <div class="section-heading">
            <h2 class="entry-title">Upcoming Events</h2>
        </div>
        <div class="row">
            <?php foreach($events as $k => $event){ ?>
                <div class="col-12 col-lg-6">
                    <div class="upcoming-events">
                        <div class="event-wrap d-flex flex-wrap justify-content-between">
                            <figure class="m-0">
                                <img src="<?php echo SITE_URL; ?>skin/images/eventImages/<?php echo $event->event_image; ?>" alt="<?php echo $event->title; ?>">
                            </figure>
                            <div class="event-content-wrap">
                                <header class="entry-header d-flex flex-wrap align-items-center">
                                    <h3 class="entry-title w-100 m-0"><?php echo $event->title; ?></h3>

                                    <div class="posted-date">
                                        <p><?php echo displayDateMOC($event->event_date) . " | " . timeFormat($event->event_from_time, 12) . "-" . timeFormat($event->event_to_time, 12); ?></p>
                                    </div><!-- .posted-date -->

                                    <div class="cats-links">
                                        <p>Venue: <?php echo $event->venue; ?></p>
                                    </div><!-- .cats-links -->
                                </header><!-- .entry-header -->

                                <div class="entry-content">
                                    <p class="m-0"><?php echo $event->description; ?></p>
                                </div><!-- .entry-content -->
                            </div><!-- .event-content-wrap -->
                        </div><!-- .event-wrap -->
                    </div><!-- .upcoming-events -->
                </div><!-- .col -->
            <?php } ?>


        </div><!-- .row -->
    </div><!-- .container -->
</div><!-- .home-page-events -->
<?php if(!empty($causes)){ ?>
    <div class="our-causes" style="background: url('<?php echo SITE_URL; ?>skin/images/cause-bg.jpg') no-repeat center;">
        <div class="container">
            <div class="row">
                <div class="coL-12">
                    <div class="section-heading">
                        <h2 class="entry-title">Our Causes</h2>
                    </div><!-- .section-heading -->
                </div><!-- .col -->
            </div><!-- .row -->

            <div class="row">
                <div class="col-12">
                    <div class="swiper-container causes-slider">
                        <div class="swiper-wrapper">
                            <?php foreach($causes as $k => $cause){ ?>
                                <div class="swiper-slide">
                                    <div class="cause-wrap">
                                        <figure class="m-0">
                                            <img src="<?php echo SITE_URL; ?>skin/images/causes/<?php echo $cause->image; ?>" alt="Cause Image">
                                        </figure>

                                        <div class="cause-content-wrap">
                                            <header class="entry-header d-flex flex-wrap align-items-center">
                                                <h3 class="entry-title w-100 m-0"><?php echo $cause->title; ?></h3>
                                            </header><!-- .entry-header -->

                                            <div class="entry-content">
                                                <p class="m-0"><?php echo $cause->description; ?></p>
                                            </div><!-- .entry-content -->
                                        </div><!-- .cause-content-wrap -->
                                    </div><!-- .cause-wrap -->
                                </div><!-- .swiper-slide -->
                            <?php } ?>
                        </div><!-- .swiper-wrapper -->
                    </div><!-- .swiper-container -->

                    <!-- Add Arrows -->
                    <div class="swiper-button-next flex justify-content-center align-items-center">
                        <span><svg viewBox="0 0 1792 1792" xmlns="http://www.w3.org/2000/svg"><path d="M1171 960q0 13-10 23l-466 466q-10 10-23 10t-23-10l-50-50q-10-10-10-23t10-23l393-393-393-393q-10-10-10-23t10-23l50-50q10-10 23-10t23 10l466 466q10 10 10 23z"/></svg></span>
                    </div>

                    <div class="swiper-button-prev flex justify-content-center align-items-center">
                        <span><svg viewBox="0 0 1792 1792" xmlns="http://www.w3.org/2000/svg"><path d="M1203 544q0 13-10 23l-393 393 393 393q10 10 10 23t-10 23l-50 50q-10 10-23 10t-23-10l-466-466q-10-10-10-23t10-23l466-466q10-10 23-10t23 10l50 50q10 10 10 23z"/></svg></span>
                    </div>
                </div><!-- .col -->
            </div><!-- .row -->
        </div><!-- .container -->
    </div><!-- .our-causes -->
<?php } ?>

<div class="home-page-limestone">
    <div class="container">
        <div class="row align-items-end">
            <div class="col-12 col-lg-12">
                <div class="section-heading">
                    <h3 class="mt-5">
                        We heartily thank our DONORS who are our PILLARS of strength and encouragement.
                        It is with their help, that we are able to accomplish all our missions successfully.
                    </h3>
                </div><!-- .section-heading -->
            </div><!-- .col -->
        </div><!-- .row -->
    </div><!-- .container -->
</div><!-- .our-causes -->