<script type="text/javascript" src="<?php echo SITE_URL; ?>js/app/user.blogs.js"></script>
<script type="text/javascript">var SITE_URL = '<?php echo SITE_URL; ?>';</script>

<div class="single-page about-page">
    <div class="page-header" style="background:url(<?php echo SITE_URL; ?>skin/images/about-bg.jpg) no-repeat center;">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <h1><?php echo $blogData->title; ?></h1>
                </div><!-- .col -->
            </div><!-- .row -->
        </div><!-- .container -->
    </div><!-- .page-header -->
    <div class="welcome-wrap">
        <div class="container">
            <div class="row">
                <div class="col-12 col-lg-12 order-2 order-lg-1">
                    <div class="welcome-content">
                        <?php echo $blogData->content; ?>
                        <?php
                        $upvote   = $downvote = 0;
                        if(!empty($votesCount[$blogData->blog_id])){
                            foreach($votesCount[$blogData->blog_id] as $k => $vote){
                                if(isset($vote->vote_type) && $vote->vote_type == 'upvote'){
                                    $upvote = $vote->votes_count;
                                }
                                if(isset($vote->vote_type) && $vote->vote_type == 'downvote'){
                                    $downvote = $vote->votes_count;
                                }
                            }
                        }
                        ?>
                    </div>
                </div>
            </div>
            <br/>
            <div class="row">
                <div class="col-md-6">
                    <a href="javascript:void(0)" vtype="upvote" class="voteBlog" bid="<?php echo encrypt($blogData->blog_id); ?>">
                        <span class="fa fa-angle-double-up">Up-Vote</span>
                    </a> &nbsp; 
                    <span class="upcount"><?php echo $upvote; ?></span> &nbsp;&nbsp;
                </div>
                <div class="col-md-6">
                    <a href="javascript:void(0)" class="voteBlog" vtype="downvote" bid="<?php echo encrypt($blogData->blog_id); ?>">
                        <span class="fa fa-angle-double-down">Down-Vote</span>
                    </a> &nbsp; 
                    <span class="downcount"><?php echo $downvote; ?></span>
                </div>
            </div>
            <br/>
            <br/>
            <div class="row">
                <div class="col-lg-12 col-md-12">
                    <form class="form" name="addUserComment" id="addUserComment">
                        <div class="form-group">
                            <input type="hidden" name="parent" value="0" id="parent" />
                            <textarea class="form-control" name="userComment" id="userComment" placeholder="Write your comment here" ></textarea>
                            <br/>
                            <input class="btn gradient-bg mr-2" type="submit" name="commentSubmit" id="commentSubmit" value="Post" />
                        </div>
                    </form>
                </div>
            </div>
            <br/>
            <div class="row">
                <div class="col-md-12">
                    <h4>Comments Section</h4>
                    <?php echo $comments; ?>
                </div>
            </div>
        </div>
    </div>
</div>