APPROVAL = {
    toggleModuleApproval: function (that) {
        var subModuleId = $(that).attr('m_data');
        if (subModuleId != '') {
            Loader.show();
            $.ajax({
                url: SITE_URL_ADMIN + 'approval/toggleModuleApproval',
                dataType: "json",
                type: "POST",
                data: {
                    subModuleId: subModuleId
                },
                success: function (response) {
                    Loader.hide();
                    if (response.type == 'success') {
                        redirect('admin/approval');
                    } else if (response.type == 'invalid_id') {
                        redirect('admin/approval');
                    } else {
                        AlertMessage.error(response.message);
                        return false;
                    }
                },
                error: function (error) {
                    Loader.hide();
                    ajaxError(error);
                }
            });
        }
    }
}
$(document).on('click', '.approveModule', function (e) {
    e.preventDefault();
    APPROVAL.toggleModuleApproval(this);
});