TESTIMONIAL = {
    addTestimonial: function (that) {
        var formData = new FormData(that);
        Loader.show();
        $.ajax({
            url: SITE_URL + "testimonials/addTestimonial",
            dataType: "json",
            type: 'POST',
            data: formData,
            processData: false,
            contentType: false,
            success: function (response) {
                Loader.hide();
                if (response.type == 'success') {
                    redirect('testimonials');
                } else if (response.type == 'login') {
                    window.location.replace(SITE_URL + "user");
                } else {
                    AlertMessage.error(response.message);
                }
            },
            error: function (error) {
                Loader.hide();
                ajaxError(error);
            }
        });
    }
}

$(document).on('submit', '#testimonialForm', function (e) {
    e.preventDefault();
    TESTIMONIAL.addTestimonial(this);
});