USER = {
    userLogin: function (that) {
        var formData = $(that).serialize();
        Loader.show();
        $.ajax({
            url: SITE_URL + "user/loginUser",
            dataType: "json",
            type: 'POST',
            data: formData,
            success: function (response) {
                Loader.hide();
                if (response.type == 'success') {
//                    AlertMessage.success(response.message);
                    window.location.replace(SITE_URL);
                } else {
                    AlertMessage.error(response.message);
                }
            }
        });
    },
    userRegister: function(that) {
        var formData = $(that).serialize();
        $.ajax({
            url: SITE_URL + "user/saveUserData",
            dataType: "json",
            type: "post",
            data: formData,
            success: function(response){
                if(response.type == 'success') {
                    window.location.replace(SITE_URL+'user');
                } else {
                    AlertMessage.error(response.message);
                }
            }
        });
    }
}
$(document).on('submit', '#userLogin', function (e) {
    e.preventDefault();
    USER.userLogin(this);
});
$(document).on('submit', '#userRegister', function (e) {
    e.preventDefault();
    USER.userRegister(this);
});